<?
/*
/////////////////////////////////////////////////////////

//++++++++++ e-Zvit +++++++++++++++

//	globals.php
//
//	(C)Copyright 2002-2003 Olga Axyonenko <olga@is.zp.ua>
//
//	This file is part of "e-Zvit" project.
//      See   http://www.is.zp.ua
//
/////////////////////////////////////////////////////////
*/
/*
PURPOSE:
		default globals variables to every user
*/
//htmlSelectQuery-----------------------------------------------------------------------------
//     
// - 1   
// - 2     
// - 3       onChange
// - 4          onChange

//              							
//$selectName (string) -     									
//$selectCurrentValue (int) -      	 = selectName 					
//$noItemsMessage (string) -        
//	   
//$database (mySqlDatabase) -        
//       
//id , [id  ],  
// "SELECT lnk_id, lnk_parent, lnk_name FROM links order by lnk_name"
// id          1  2
//$selectType (int) -   
//$cssClass - (string) -       


class htmlSelectQuery
{
	var $selectName; 
	var $selectCurrentValue; 
	var $noItemsMessage; 
	var $database; 
	var $tempDatabase;
	var $selectSubmit;
	var $selectTree;
	var $cssClass;
	var $emptyText;

	//htmlSelect----------------------------------------------------------------------------------
	function htmlSelectQuery ( $selectName, $selectCurrentValue,
		$noItemsMessage, $database, $selectType = "1", $cssClass ="", $emptyText="")
	{
		$this->selectName = $selectName;
		$this->selectCurrentValue = $selectCurrentValue;
		$this->noItemsMessage = $noItemsMessage;
		$this->database = $database;
		$this->tempDatabase = $database;
		$this->emptyText = $emptyText;

		switch ($selectType)
		{
			case 1:
				$this->selectSubmit = "";
				$this->selectTree = false;
				break;

			case 2:
				$this->selectSubmit = "";
				$this->selectTree = true;
				break;

			case 3:
				$this->selectSubmit = "onChange = \"this.form.submit()"."\"";
				$this->selectTree = false;
				break;

			case 4:
				$this->selectSubmit = "onChange = \"this.form.submit()"."\"";
				$this->selectTree = true;
				break;
		}
		$this->cssClass = $cssClass;
	}
	//========================================================================htmlSelect



	//Generate----------------------------------------------------------------------------
	// HTML- <select>
	function Generate()
	{
		//   
		$numberOfItems = $this->database->queryNumRows();
		//      
		if($numberOfItems == 0)
		{
			$content .= $this->noItemsMessage;
		}
		//  HTML- <select>
		else
		{
			@$content .= "
				<select ".$this->cssClass." name=\"".$this->selectName."\"
				".$this->selectSubmit.">
				<option value=\"0\">".$this->emptyText."</option>
			";
			//    
			if($this->selectTree)
			{
				$content .= $this -> makeItemsTree(0,0,$cond);
			}
			//   
			else
			{
				while(list($itemId,$itemName) = $this->database->queryRow())
				{
					if($itemId== $this->selectCurrentValue)
					{
						$sel = "selected";
					}
					else
					{
						$sel = "";
					}
					$content .= "
						<option ".$sel." value=\"".$itemId."\">".$itemName."</option> 
					";
				}
			}
		}
	
			$content .= "
					</select>
			";
			
			return $content;
	}
	//==================================================================================Generate()
	
	
	
	//MakeItemsTree()------------------------------------------------------------------------------
	//     
	function MakeItemsTree($parentNumber = 0, $level = 0)
	{
		$table = $this->database->QueryTableName();
		$fieldId = $this->database->QueryFieldName(0);
		$fieldParent = $this->database->QueryFieldName(1);
		$fieldName = $this->database->QueryFieldName(2);
		
		$newDatabase = $this->database;
				
		$queryString = "SELECT ".$fieldId.",".$fieldParent.",".$fieldName." 
			FROM ".$table." WHERE ".$fieldParent."=".$parentNumber." ORDER BY ".$fieldName."";
			//echo $queryString."<br>";
		$newDatabase->Query($queryString);
		
		for($i = 0; $i < $level; $i++)
		{
			$space .= "-";
		} 
		
		$level = $level+1;
		while(list($itemId,$itemParent,$itemName) = $newDatabase->queryRow())
		{
			if($itemId == $this->selectCurrentValue)
			{
				$sel = "selected";
			}
			else
			{
				$sel = "";
			}
			$content .= "
				<option ".$sel." value=\"".$itemId."\">".$space.$itemName."</option> 
					";
			$content .= $this->MakeItemsTree($itemId,$level);
		}
		return $content;
	}
	//============================================================================MakeItemsTree()
}
?>
