<?
/////////////////////////////
//	X-EUC-JP.inc
//	(C)2001-2002 Ryo Chijiiwa <Ryo@IlohaMail.org>
//		
//	(C)Copyright 2002-2003 Olga Axyonenko <olga@is.zp.ua>, Mario Altimari <altimario@hotmail.com>
//
//	This file is part of Mentore Portal.
//      See  http://www.mentore.it or  http://www.is.zp.ua
//
/////////////////////////////////////////////////////////


include("../lang/jp/jcode.inc");
include_once("../include/qp_enc.inc");

function LangIs8Bit($string){
	$len = strlen($string);
	for ($i=0; $i < $len; $i++)
		if (ord($string[$i])>=128) return true;
	
	return false;
}

function LangConvert($string, $charset){
	if (strcasecmp($charset, "x-euc-jp")==0){
		return JcodeConvert($string, 0, 1);
	}else{
		return $string;
	}
}

function LangEncodeSubject($input, $charset){
	$subject=$input;
	if (strcasecmp($charset, "x-euc-jp")==0){
		$charset_code = AutoDetect($input);
		if (($charset_code > 0) && ($charset_code < 3)){
			$subject=JcodeConvert($subject,0,3);
			$subject="=?ISO-2022-JP?B?".base64_encode($subject)."?=";		
		}else if (LangIS8Bit($subject)){
			$subject = "=?ISO-8859-1?Q?".qp_enc($subject)."?=";
		}
	}
	
	return $subject;
}

function LangEncodeMessage($input, $charset){
	$message=$input;
	
	$result["type"]="Content-Type: text/plain; charset=\"us-ascii\"\n";	
	$result["data"]=$message;
	
	if (strcasecmp($charset, "x-euc-jp")==0){
		$charset_code = AutoDetect($message);
		if ($charset_code > 0){
			$result["type"]="Content-Type: text/plain; charset=ISO-2022-JP\n";
			$result["encoding"]="Content-Transfer-Encoding: quoted-printable\n";
			$result["data"] = qp_enc(JcodeConvert($message,0,3), 76);
		}else{
			$result["data"] = wordwrap($message);
		}		
	}
	
	return $result;
}

include_once("../lang/common.inc");

function LangWrap($str){
	return $str;
}

?>
