<?php
/**
 * e-Zvit: Reports processing server.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems company										<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-zvit.sourceforge.net}
 *
 * @link http://e-zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@mail.zp.ua
 * @copyright Information Systems company
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
*  @copyrighter Evgeniya Degtyrenko.
 * @package e-Zvit
 */
require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
if(!$description_) $description_=" _descr ";
if(!$description_name) $description_name=" _name ";
if(!$id_name) $id_name=" _id ";
require_once(HEADERF_D);


$s=new Search();

if ($searchquery){
$s->add($searchquery," $description_name ",LAN_403,1," LIKE ","OR");
$s->add($searchquery," $description_ ",LAN_403,1," LIKE ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText=$s->getSql();} else {$searchText=" 1=1 ";}

$textc=$REQUEST_URI.$s->getURL();

if($textc==$REQUEST_URI){$textc=$REQUEST_URI."?q=1";}
 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by $description_name";
	};
if(!$start){$start=0;};


$num_show=$my_prefs["view_max"];
//$num_show=5;
//$num_show=2;

	if ($num_show==0) $num_show=20;

	$next_start=$start+$num_show;
	$prev_start=$start-$num_show;
	if ($prev_start<0) $prev_start=0;

// END SEARCH BLOCK -------------------------------------------

//================== check block------------------

if(IsSet($add_)||IsSet($update_)){
$ch=new Check();

$descr_=$ch->CheckType(1,$descr,LAN_403,true);


if (!$ch->CheckResult()) {
$text=$ch->getErr();

$ns -> tablerender("<div style=\"text-align:center\">".LAN_403."</div>", $text);
require_once(FOOTERF_D);
exit;
}


}
//================== check block------------------

if(IsSet($add_)){

$sqlInsert="INSERT INTO $_table_name (".$id_name.", ".$description_name.") VALUES (0,".$descr_." )";
	if($sql -> dbInsert($sqlInsert)){ $message = LAN_2088;
	} else {$message =LAN_2089.LAN_2090;}
	unset ($descr_,$descr_d_);

}
if(IsSet($update_)){

	$sqlText="UPDATE $_table_name SET $description_name=".$descr_."  WHERE $id_name=".$id_category." ";

	if($sql -> dbUpdate($sqlText)){
		$message = LAN_2107;
		unset ($descr_);
	} else{
		$message = LAN_2108;
		unset ($descr_);
	}
}
if(IsSet($edit) || $action == "edit"){
	if($action == "edit"){
		$sqlT="SELECT * FROM $_table_name WHERE $id_name=".$id_category." ";
	}else{
		$sqlT="SELECT * FROM $_table_name WHERE $id_name='".$existing."' ";
	}
	
	$sql -> dbQuery($sqlT);
	list($id_category_,$descr_,$descr_1) = $sql-> dbFetch();

} else {
unset ($id_category_,$descr_,$descr_1);
}

if(IsSet($confirm)){
	$sql -> dbDelete("DELETE FROM $_table_name WHERE  $id_name=".$existing." ");
	$message = ER_010;
}

if(IsSet($delete) || $action == "delete"){
	if($action == "delete"){
		$sql -> dbQuery("SELECT * FROM $_table_name WHERE $id_name=".$id_category." ");
	}else{
		$sql -> dbQuery("SELECT * FROM $_table_name WHERE $id_name=".$existing." ");
	}
	list($id_category_,$descr_) = $sql-> dbFetch();

	$text = LAN_2109.$descr_."? <br> ".LAN_2065;
$text.="
<form method=\"post\" action=\"$REQUEST_URI\" name=\"frm\" id=\"frm\" >
	<input type=\"hidden\" value=\"$_table_name\" name=\"_table_name\">
	<input type=\"hidden\" value=\"$_table_description\" name=\"_table_description\">
	<input type=\"hidden\" value=\"$_from\" name=\"_from\">
<input class=\"button\" type=\"submit\" name=\"cancel\"
value=\"".ER_011."\" />
<input class=\"button\" type=\"submit\" name=\"confirm\"
value=\"".ER_012."\" />
<input type=\"hidden\" name=\"existing\"
value=\"".$existing."\">
</form>
</div>";
$ns -> tablerender(ER_013, $text);

	require_once(FOOTERF_D);
	exit;
}
if(IsSet($cancel)){
	$message = ER_014;
}

if(IsSet($message)){
	$ns -> tablerender("", "<div
style=\"text-align:center\"><b>".$message."</b></div>");
}

$text="";
$sql -> dbQuery("SELECT * FROM $_table_name  where ( ".$searchText.")   $ord ");
$link_total = $sql -> dbRows();
if($link_total == "0"){
	$text.= "<div style=\"text-align:center\">".
	LAN_137."
	</div>
	<br />
	";
}else{

$text .= "<div style=\"text-align:center\">
	<form method=\"post\" action=\"$REQUEST_URI\"  name=\"frm\">
	<input type=\"hidden\" value=\"$_table_name\" name=\"_table_name\">
	<input type=\"hidden\" value=\"$_table_description\" name=\"_table_description\">
	<input type=\"hidden\" value=\"$_from\" name=\"_from\">
	".LAN_EXISTING.":
	<select name=\"existing\"  class=\"tbox\"  >";
	while(list($id_category,$descr)  = $sql-> dbFetch()){
	if (trim($id_category)==$existing||$id_category==$id_category_){$tt_sel="selected";} else
{$tt_sel="";}
		$text .= "<option value=\"$id_category\"
".$tt_sel.">".$descr."</option>";
	}
	$text .= "</select> 
	<input class=\"button\" type=\"submit\" name=\"edit\"
value=\"".LAN_EDIT."\" /> 
	<input class=\"button\" type=\"submit\" name=\"delete\"
value=\"".LAN_DELETE."\" />
<input class=\"button\" type=\"submit\" name=\"add_new\"
value=\"".LAN_ADD."\" />

	</form>
	</div>
	<br />";
}
	//=======================Search form========================
$search_t=$_table_description;
$search_text= "<form method=\"post\" action=\"$REQUEST_URI\" id=\"frm_search\" name=\"frm_search\">
	<input type=\"hidden\" value=\"$_table_name\" name=\"_table_name\">
	<input type=\"hidden\" value=\"\" name=\"existing\"><input type=\"hidden\" value=\"\" name=\"edit\">
	<input type=\"hidden\" value=\"$_table_description\" name=\"_table_description\">
	<input type=\"hidden\" value=\"$_from\" name=\"_from\">
	<input type=\"hidden\" value=\"\" name=\"start\">
		 <input type=\"hidden\" name=\"start\" value=\"$start\">
<input type=\"hidden\" name=\"sort_field\" value=\"$sort_field\">
<table  >
<tr>
<td>
<input class=\"tbox\" type=\"text\" name=\"searchquery\" size=\"15\" value=\"".htmlspecialchars(stripslashes($searchquery))."\" maxlength=\"50\" />
<input class=\"button\" type=\"submit\" name=\"searchsubmit\" value=\"".LAN_180."\" />
</td>
<td><div align=\"right\"><input type=\"button\"
onclick=\"window.close();\" 
value=\"".LAN_BACK."\" ></div></td>
</tr>
</table>
</form>";
echo $search_text;
$text .= "
<form method=\"post\" action=\"$REQUEST_URI\">
	<input type=\"hidden\" value=\"$_table_name\" name=\"_table_name\">
	<input type=\"hidden\" value=\"$_table_description\" name=\"_table_description\">
	<input type=\"hidden\" value=\"$_from\" name=\"_from\">
<table style=\"width:95%\">
<tr>
<td style=\"width:30%\"><u>".LAN_7." </u></td>
<td style=\"width:70%\">
<input class=\"tbox\" type=\"text\" name=\"descr\"
size=\"30\" value=\"$descr_\" maxlength=\"30\" />
</td>
</tr>


<tr style=\"vertical-align:top\">
<td colspan=\"2\"  style=\"text-align:center\">";
if(IsSet($edit)){
	$text .= "<input class=\"button\" type=\"submit\"
name=\"update_\" value=\"".LAN_UPDATE."\" />
<input type=\"hidden\" name=\"id_category\"
value=\"$id_category_\">";
}else{
	$text .= "<input class=\"button\" type=\"submit\"
name=\"add_\" value=\"".LAN_ADD."\" />";
}
$text .= "</td>
</tr>
</table>
</form>";
//============================================order=========================
$ns -> tablerender("<div
style=\"text-align:center\">".$_table_description."</div>", $text);

$sqlOrd="SELECT *  FROM  $_table_name where ( ".$searchText.") ".$ord." ".$limit;

$sql -> dbQuery($sqlOrd);

$num_r= $sql ->dbRows();
unset($id_category_,$descr_)  ;

if($num_r>0){

$text = "<form method=\"POST\" action=\"$REQUEST_URI\"><table style=\"width:95%\">
	<input type=\"hidden\" value=\"$_table_name\" name=\"_table_name\">
	<input type=\"hidden\" value=\"$_table_description\" name=\"_table_description\"> 
	 <input type=\"hidden\" value=\"$_from\" name=\"_from\">
";

if ($searchquery){$text .= "<tr><td >".LAN_SEARCH.": &quot;".$searchquery."&quot;</td></tr>";}
$text .= "</table>
</td></tr><tr><td  ><div
style=\"text-align:center\">
</div></td></tr></table></form>";
$ns -> tablerender("<div style=\"text-align:center\">".$_table_description."</div>", $text);
}
$sqlOrd="SELECT *  FROM  $_table_name where ( ".$searchText.")  ".$ord." ".$limit;
$browser=new browser;
$browser->row_attr="   onMouseOver=\"overList(this)\"
	 onMouseOut=\"outList(this)\"
	  onclick=\"frm_search.edit.value=1;frm_search.existing.value='__id__';frm_search.submit();selectItem('__id__');\"
	   id=\"tr_list___id__\"  class='list' 
	 ";
$browser->field_attr=" class='list' ";
$test=new selectQueryBrowser($browser,$s);

if($start!=0){$test->start=$start;} else {$test->start=0;};
$test->setHeaderList($_table_description);
$headers=array("_id"=>"","_name"=>LAN_2110,"_descr"=>LAN_48);
$test->setHeaders($headers);
$test->setPK("_id");

//$test->setPriority("f_priority");

$test->setQuery($sqlOrd);

require_once(FOOTERF_D);
?>	
