<?php
/**
 * e-Zvit: Reports processing server.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems company										<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-zvit.sourceforge.net}
 *
 * @link http://e-zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@mail.zp.ua
 * @copyright Information Systems company
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
*  @copyrighter Evgeniya Degtyrenko.
 * @package e-Zvit
 */
	/**
	*     



	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */
require_once("../include/auth_class.php");
require_once("../include/utill_class.php");
require_once("../include/utils.fnc.php");


$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
checkaccess(USERPERMS,$db);

require_once(HEADERF);




?>
<table align="left" width="100%">
  <tbody>
    <tr>
      <td><a class="link_menu_0"  onclick="openDP('dict_country','<?=LAN_69?>','dictionaries')"><?=LAN_69?></a>
	  <p align="justify">
<?=LAN_66?>
	  </p>
</td>
		<td  ><a  class="link_menu_0" onclick="openDP('dict_city','<?=LAN_09?>','dictionaries')"><?=LAN_09?> </a>
		<p align="justify">
<?=LAN_65?>
	  </p>
</td>
    </tr>
    <tr>
      <td><a class="link_menu_0"  onclick="openDP('dict_area','<?=LAN_36?>','dictionaries')"><?=LAN_36?></a>
	  <p align="justify">
<?=LAN_63?>
	  </p>
</td>
		<td><a class="link_menu_0"  onclick="openDP('dict_region','<?=LAN_57?>','dictionaries')"><?=LAN_57?></a>
		  <p align="justify">
<?=LAN_64?>
	  </p>
</td>
    </tr>
  
  </tbody>
</table>
<?

require_once(FOOTERF);
?>
