<?
/**
 * e-Zvit: Reports processing server.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems company										<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-zvit.sourceforge.net}
 *
 * @link http://e-zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@mail.zp.ua
 * @copyright Information Systems company
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
*  @copyrighter Evgeniya Degtyrenko.
 * @package e-Zvit
 */
	/**
	*, ,      tasks
	*$currentTask -   



	 * @author Olga Axyonenko <office@is.zp.ua>

	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");
require_once("../include/utils.fnc.php");
require_once("../include/xml.fnc.php");
require_once("../include/create_form_browser.cls.php");

require_once(HEADERF_D);
//  
$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);

$sql1=new dbfunc;
$browser=new browser;


if (!isset($_f_id)) $_f_id=0;
//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";

//???
//$edit=1;

///  -  
if($existing)
{
	$update_value=1;
}
else
{
	$add_value = 1;
}


//   
$test=new createFormBrowser("blanks",$browser);

//   



$test->set_fields(1,array(
	"id_blank"=>"",
	"name"=>LAN_79,
	"blank"=>LAN_BLANK,
	"date_"=>LAN_11,
	"comments"=>LAN_COMMENTS,
	"day_finish"=>LAN_12,
	"day_last"=>LAN_16,
	"period_month"=>LAN_MONTHS,
	"f_org"=>LAN_76
));

// 
$test->setHeaderList(LAN_2024);
$tt="select blank from blanks where id_blank='".$existing."'";
$sql->dbQuery($tt);
list($cblank)=$sql->dbFetch();
$c=new convert;
 ($_date_==""||$_date_=="0000-00-00") ? $_date_=date("Y-m-d",time()) : $_date_=$c->date_format($_date_,2);

 $_day_last=nextReport($_day_finish,$_period_month);
//  
$types=array(			"existing"=>array("type"=>"hidden",
																"value"=>$_existing),
								"delete_value"=>array("type"=>"hidden",
																"value"=>"0"),
								"wrk_id"=>array("type"=>"hidden",
																"value"=>$currentManager),
								"sort_field"=>array("type"=>"hidden",
																"value"=>$_sort_field),
								"active"=>array("type"=>"hidden",
																"value"=>$_active),
								"user_id"=>array("type"=>"hidden",
																"value"=>USERID),
							  "id_blank"=>array("type"=>"hidden",
																"value"=>$_id_blank),
							"date_"=>array("type"=>"date","not_null"=>false,"value"=>$_date_),
							"day_finish"=>array("type"=>"date","not_null"=>false,"value"=>$_day_finish),
							"day_last"=>array("type"=>"date","not_null"=>false,"value"=>$_day_last),
							"blank"=>array("type"=>"file","not_null"=>false,"value"=>$cblank),
							"f_org"=>array("type"=>"foreign_select",
													"filling"=>1,
													"table_name"=>"organization 	left outer join dict_city on
													organization.id_city=dict_city._id left join dict_region on
													organization.id_region=dict_region._id
													where organization.name is not null ",
													"id_name"=>"organization.id",
													"description_name"=>"organization.name,dict_region._name,dict_city._name ",
													"caption"=>LAN_31 ,
														"foreign_table"=>"form_organization",
														"main_id"=>"id_blank",
														"multiple"=>true,
														"f_id"=>"organization_id")
							);

//  

$test->multipart=true;
//  
$test->setPK("id_blank");

if((isset($update)&&$update!="")||(isset($add)&&$add!="")){

if(isset($_blank)&&$_blank!=""){



		$file = ereg_replace(" ", "", $_FILES['_blank']['name']);
		$file_extention = strtolower(substr(strrchr($file, "."), 1));

		$file_name = eregi_replace(".".$file_extention, "", $file);

		$large = $test->uploadpath."/".$file_name."_".date("Y-m-d",time()).".".$file_extention;

if($file_name!=""){
		if(copy($_blank, $large)){
		echo "".LAN_2091." <b>".$_FILES['_'.$f_obj->name]['name']."</b> ".LAN_2092." ";
		$_blank= "'".$test->uploadpath."/".$file_name."_".date("Y-m-d",time()).".".$file_extention."'";

		 $id_pk_next=new nextNumber;
if(!$existing){
		 $lastInsertId=$id_pk_next->maxNum($test->tableName,"id_blank");
		 $existing=$lastInsertId;
		 $test->lastInsertId=$existing;
}
//========================= XML =========================
if($existing>0){
$sqld="delete from form_fields where  id_blank='".$existing."' ";
$sql->dbQuery($sqld);


$xml_s=new xmlParser;
$xml_s->createXML($large);

$xml_s->insertXMLblank($existing,$large);
}
//========================== XML ==============================
		} else {
		 echo LAN_73;
		}
		} else {
		$_blank="NULL";
		}

} else {
$_blank=$cblank;
$types["blank"]["type"]="text";
}
}
$test->setTypes($types);

$test->setHeaders($headers);

//   
if(isset($add)&&$add!=""){
	if(	$ex=$test->addValues()){
		$test->setCurrentId("");
		?>
		<script>
		window.location="edit_blank.php?edit=1&existing=<?=$ex?>";
		window.opener.location.reload();
		</script>
	<?
}
}

// 
if(isset($update)&&$update!=""&&!$delete_value){

		if( $test->updateValues()){
	?>
		<script>
	//	window.close();
		window.opener.location.reload();
		</script>
	<?
		};

}


//echo $test->listEditor("","");

if(isset($add_value)&&$add_value!=""){


$test->setCurrentId("");
$test->formWriter();
	$text= "
	<table>
		<tr>
			<td>".$browser->modulstyle($test->modul[1].$test->modul[0],"",LAN_2024)."</td>
		</tr>
		<tr>
			<td>".$browser->modulstyle($test->modul[2],"",LAN_2024)."</td>
		</tr>
	</table>";
		echo	$test->getForm($text);
}

if(isset($update_value)&&$update_value!=""){

$test->setCurrentId($existing);
$test->formWriter();
	$text= "
	<table>
		<tr>
			<td>".$browser->modulstyle($test->modul[1].$test->modul[0],"",LAN_2024)."</td>
		</tr>
			<tr>
			<td>".$test->modul[2]."</td>
		</tr>
		<tr>
			<td align=\"center\">


	";
if(!$delete_value)
{
		// 
		echo	$test->getForm($text);
}

}

if(isset($delete_value)&&$delete_value!="")
{
$test->description_name="name";
	echo $test->deleteValues();

}
if(isset($confirm))
{
$slt="delete from form_fields where id_blank=$existing ";
$sql->dbDelete($slt);
$slt="delete from form_organization where id_blank=$existing ";
$sql->dbDelete($slt);
$slt="delete from form_permissions where id_blank=$existing ";
$sql->dbDelete($slt);
$slt="delete from form_schemes where id_blank=$existing ";
$sql->dbDelete($slt);
$slt="delete from form_values where id_blank=$existing ";
$sql->dbDelete($slt);
$slt="delete from forms where id_blank=$existing ";
$sql->dbDelete($slt);

$test->description_name="name";
	$test->setCurrentId($existing);
	echo $test->confirmdeleteValues();
	?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
	<?
}



require_once(FOOTERF_D);
?>
