<?
/**
 * e-Zvit: Reports processing server.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems company										<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-zvit.sourceforge.net}
 *
 * @link http://e-zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@mail.zp.ua
 * @copyright Information Systems company
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
*  @copyrighter Evgeniya Degtyrenko.
 * @package e-Zvit
 */
	/**
	*, ,      tasks
	*$currentTask -   



	 * @author Olga Axyonenko <office@is.zp.ua>

	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");
require_once("../include/utils.fnc.php");
require_once("../include/xml.fnc.php");
require_once("../include/create_form_browser.cls.php");


require_once(HEADERF_D);
//  
$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);

$sql1=new dbfunc;
$browser=new browser;


if (!isset($_f_id)) $_f_id=0;
//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";

//???
//$edit=1;

///  -  
if($existing)
{
	$update_value=1;
}
else
{
	$add_value = 1;
}


//   
$test=new createFormBrowser("organization",$browser);

//   



$test->set_fields(1,array(
	"id"=>"",
	"name"=>LAN_31,
	"id_country"=>LAN_68,
	"id_city"=>LAN_08,
	"id_area"=>LAN_37,
	"id_region"=>LAN_56,
	"address"=>LAN_ADDRESS,
	"phone"=>LAN_71,
	"email"=>LAN_EMAIL,
	"contact1"=>LAN_DIRECTOR,
	"contact2"=>LAN_DIRECTOR,
	"comment"=>LAN_COMMENTS,
	"f_org" =>LAN_49

));

// 
$test->setHeaderList(LAN_2024);
$tt="select blank from blanks where id_blank='".$existing."'";
$sql->dbQuery($tt);
list($cblank)=$sql->dbFetch();
$c=new convert;
 ($_id_country=="") ? $_id_country=1 : true;
 ($_id_city=="") ? $_id_city=1 : true;
  ($_id_area=="") ? $_id_area=1 : true;
//  
$types=array(			"existing"=>array("type"=>"hidden",
																"value"=>$_existing),
								"delete_value"=>array("type"=>"hidden",
																"value"=>"0"),
							  "phone"=>array("type"=>"text",
																"value"=>$_phone,
																"attr"=>"size=25"),
								  "email"=>array("type"=>"text",
																"value"=>$_email,
																"attr"=>"size=25"),
							  "name"=>array("type"=>"text",
																"value"=>$_name,
																"attr"=>"size=50"),
							  "address"=>array("type"=>"text",
																"value"=>$_address,
																"attr"=>"size=50"),
									  "id"=>array("type"=>"hidden",
																"value"=>$_id),
							"id_country"=>array("type"=>"select",
													"table_name"=>"dict_country",
													"id_name"=>"_id",
													"description_name"=>"_name",
													"value"=>$_id_country),
							"id_city"=>array("type"=>"select",
													"table_name"=>"dict_city",
													"id_name"=>"_id",
													"description_name"=>"_name",
													"value"=>$_id_city),
							"id_area"=>array("type"=>"select",
													"table_name"=>"dict_area",
													"id_name"=>"_id",
													"description_name"=>"_name",
													"value"=>$_id_area),
							"id_region"=>array("type"=>"select",
													"table_name"=>"dict_region",
													"id_name"=>"_id",
													"description_name"=>"_name",
													"value"=>$_id_region),
							"f_org"=>array("type"=>"foreign_select",
													"filling"=>1,
													"table_name"=>"organization 	left outer join dict_city on
													organization.id_city=dict_city._id left join dict_region on
													organization.id_region=dict_region._id
													where organization.name is not null and  organization.id!='$existing' ",
													"id_name"=>"organization.id",
													"description_name"=>"organization.name,dict_region._name,dict_city._name ",
													"caption"=>LAN_31 ,
														"foreign_table"=>"organization_levels",
														"main_id"=>"organization_main",
														"multiple"=>true,
														"f_id"=>"organization_ancillary")
							);

//  

$test->multipart=true;
//  
$test->setPK("id");
$test->setTypes($types);

$test->setHeaders($headers);

//   
if(isset($add)&&$add!=""){
	if(	$test->addValues()){
		$test->setCurrentId("");
	/*	?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
	<?*/
}
}

// 
if(isset($update)&&$update!=""&&!$delete_value){

		if( $test->updateValues()){
/*	?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
	<?*/
		};

}


//echo $test->listEditor("","");

if(isset($add_value)&&$add_value!=""){


$test->setCurrentId("");
$test->formWriter();
	$text= "
	<table>
		<tr>
			<td>".$browser->modulstyle($test->modul[1].$test->modul[0],"",LAN_2024)."</td>
			</tr>
		<tr>
			<td >".$browser->modulstyle($test->modul[2],"",LAN_2024)."</td>
		</tr>
	</table>";
		echo	$test->getForm($text);
}

if(isset($update_value)&&$update_value!=""){

$test->setCurrentId($existing);
$test->formWriter();
	$text= "
	<table>
	<tr>
			<td>".$browser->modulstyle($test->modul[1].$test->modul[0],"",LAN_2024)."</td>
			</tr>
		<tr>
			<td >".$browser->modulstyle($test->modul[2],"",LAN_2024)."</td>
		</tr>

		</table>
	";




if(!$delete_value)
{
		// 
		echo	$test->getForm($text);
}

}

if(isset($delete_value)&&$delete_value!="")
{

	$test->description_name="name";

	echo $test->deleteValues();

}
if(isset($confirm))
{

$test->description_name="name";
$slt="delete from link_organizations where organization_id=$existing ";
$sql->dbDelete($slt);
$slt="delete from debtors where id_organization=$existing ";
$sql->dbDelete($slt);


$slt="select id_blank from form_organization where  organization_id=$existing ";
$sql->dbQuery($slt);
	while(list($existing_blank_)=$sql->dbFetch()){
		if($existing_blank_>0){

			$slt="delete from form_fields where id_blank=$existing_blank_ ";
			$sql->dbDelete($slt);
			$slt="delete from form_organization where id_blank=$existing_blank_ ";
			$sql->dbDelete($slt);
			$slt="delete from form_permissions where id_blank=$existing_blank_ ";
			$sql->dbDelete($slt);
			$slt="delete from form_schemes where id_blank=$existing_blank_ ";
			$sql->dbDelete($slt);
			$slt="delete from form_values where id_blank=$existing_blank_ ";
			$sql->dbDelete($slt);
			$slt="delete from forms where id_blank=$existing_blank_ ";
			$sql->dbDelete($slt);

		}
	}

$slt="delete from link_organizations where organization_id=$existing ";
$sql->dbDelete($slt);
$slt="delete from organization_levels where  organization_main=$existing OR  organization_ancillary=$existing ";
$sql->dbDelete($slt);
$slt="delete from users where user_organization=$existing ";
$sql->dbDelete($slt);

	$test->setCurrentId($existing);
	echo $test->confirmdeleteValues();
	?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
	<?
}



require_once(FOOTERF_D);
?>
