<?
/**
 * e-Zvit: Reports processing server.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems company										<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-zvit.sourceforge.net}
 *
 * @link http://e-zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@mail.zp.ua
 * @copyright Information Systems company
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
*  @copyrighter Evgeniya Degtyrenko.
 * @package e-Zvit
 */
	/**
	*, ,      tasks
	*$currentTask -   



	 * @author Olga Axyonenko <office@is.zp.ua>

	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");
require_once("../include/utils.fnc.php");
require_once("../include/create_form_browser.cls.php");

require_once(HEADERF_D);
//  
$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);

$sql1=new dbfunc;
$browser=new browser;


if (!isset($_f_id)) $_f_id=0;
//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";

//???
if(eregi("insert|delete|drop|create|alter|;",$_query,$res1)){
echo ER_001."<br>".ER_002;
require_once(FOOTERF_D);
exit;
}


///  -  
if($existing)
{
	$update_value=1;
}
else
{
	$add_value = 1;
}


$st=new tagSelect;

//   
$test=new createFormBrowser("global_variables",$browser);

//   
	$selTypes="<select name=\"sel_type[$i][$j]\" >
						<option value=\"0\" > </option>
						<option value=\"group_1\" ".(($sel_type[$i][$j]=="group_1")?" selected ":"")." >    (1)</option>
						<option value=\"sum\" ".(($sel_type[$i][$j]=="sum")?" selected ":"")."> </option>
						<option value=\"count\" ".(($sel_type[$i][$j]=="count")?" selected ":"")."></option>
						<option value=\"avg\" ".(($sel_type[$i][$j]=="avg")?" selected ":"").">  </option>
						<option value=\"min\" ".(($sel_type[$i][$j]=="min")?" selected ":"").">  </option>
						<option value=\"max\" ".(($sel_type[$i][$j]=="max") ? " selected " : "" )." >  </option>
						</select>";
$test->setCurrentId($existing);

if($ex_t||$_ex_t){
$test->set_fields(1,array(
	"field"=>LAN_21,
	"field_name"=>LAN_403,
	"query"=>LAN_EXPRESS,
	"description"=>LAN_COMMENTS,
	"connection_name"=>LAN_59
));
$test->set_fields(2,
array(
	"f_field"=>"&nbsp;&nbsp;"
));
} else {

$test->set_fields(1,array(
	"field"=>LAN_21,
	"field_name"=>LAN_403,
	"query"=>LAN_QUERY,
	"description"=>LAN_COMMENTS,
	"connection_name"=>LAN_59
));
$test->set_fields(2,
array(
	"f_operation"=>"&nbsp;&nbsp;",
	"f_field"=>"&nbsp;&nbsp;"
));
}


// 
$test->setHeaderList(LAN_2024);


//  
$types=array(			"existing"=>array("type"=>"hidden",
																"value"=>$_existing),
						"ex_t"=>array("type"=>"hidden",
																"value"=>$_ex_t),
								"delete_value"=>array("type"=>"hidden",
																"value"=>"0"),
								"field"=>array("type"=>"text",
																"value"=>$_field,
																"attr"=>"size=10"),
								"f_operation"=>array("type"=>"array",
																"options"=>array("sum","count","avg","min","max"),
																"value"=>$_f_operation),
								"f_field"=>array("type"=>"select",
													"table_name"=>"form_fields inner join blanks on  blanks.id_blank=form_fields.id_blank
													 left outer join  users on users.user_id=blanks.user_id
 left outer join form_organization on  blanks.id_blank=form_organization.id_blank
where  ( form_organization.organization_id=".USERORG." OR
".USERPERMS."=1) and ( blanks.user_id='".USERID."')",
													"id_name"=>"field",
													"description_name"=>"form_fields.field",
														"value"=>$_f_field,
																"attr"=>""),
								"field_name"=>array("type"=>"text",
																"value"=>$_field_name,
																"attr"=>"size=35"),
								"query"=>array("type"=>"textarea",
																"value"=>$_query,
																"attr"=>"size=35 "),
								"description"=>array("type"=>"textarea",
																"value"=>$_description,
																"attr"=>" size=35 "),
								"connection_name"=>array("type"=>"array",
																"options"=>readDirConnections("../database"),
																"value"=>$_connection_name),
							  "id"=>array("type"=>"hidden",
																"value"=>$_id),
							"user_id"=>array("type"=>"hidden",
																"value"=>USERID)
							);
if($ex_t||$_ex_t){
$types["f_operation"]=array("type"=>"hidden",
																"value"=>"");
}
//  

$test->multipart=true;
//  
$test->setPK("id");

$test->setTypes($types);

$test->setHeaders($headers);

//   
if(isset($add)&&$add!=""){
$sqlT1="insert into ex_variables value ('$existing') ";
$sql->dbQuery($sqlT1);
	if(	$existing=$test->addValues()){
		$test->setCurrentId("");
		?>
		<script>
		/*window.close();*/
		window.opener.location.reload();
		window.location="edit_variables.php?existing=<?=$existing?>&edit=1";
		</script>
	<?
}
}

// 
if(isset($update)&&$update!=""&&!$delete_value){

		if( $test->updateValues()){
	?>
		<script>
		//window.close();
		window.opener.location.reload();
		</script>
	<?
		};

}

if($ex_t||$_ex_t){
$f_name_j="makeExpression()";
} else {
$f_name_j="makeQuery()";
}


//echo $test->listEditor("","");

if(isset($add_value)&&$add_value!=""){


$test->setCurrentId("");
$test->formWriter();
	$text= "
	<table>
		<tr>
			<td colspan=\"2\" >".$browser->modulstyle($test->modul[1].$test->modul[0],"",LAN_2024)."</td>
		</tr>
		<tr>test
			<td align=\"right\">".$test->modul[2]."</td><td valign=\"bottom\" align=\"left\"><img src=\"../images/media/ok.gif\" onclick=\"$f_name_j\"></td>
		</tr>
		<tr>
			<td colspan=\"2\">".$browser->modulstyle($test->modul[3],"",LAN_2024)."</td>
		</tr>
	</table>";
}


if(isset($update_value)&&$update_value!=""){




$test->setCurrentId($existing);
$test->formWriter();
	$text= "
	<table  >
	<tr>
			<td colspan=\"2\">".$browser->modulstyle($test->modul[1].$test->modul[0],"",LAN_2024)."</td>
		</tr>
		<tr>
			<td align=\"right\" >".$test->modul[2]."</td><td valign=\"bottom\" align=\"left\"><img src=\"../images/media/ok.gif\" onclick=\"$f_name_j\"></td>
		</tr>
			<tr>
			<td >".$test->modul[3]."</td><td><input type=\"submit\" name=\"make_query\" value=\"".LAN_06."\"></td>
		</tr>
			";


		// 
 	//echo	"<form name=\"frm_\" id=\"frm_\" method=\"post\"  >".$text."</form>";

	//	require_once("scheme_fields.php");


}

if(!$delete_value)
{
		// 
		echo	$test->getForm($text);
}

if(isset($delete_value)&&$delete_value!="")
{
	echo $test->deleteValues();
	$test->description_name="field_name";
}
if(isset($confirm))
{
$sqlT1="delete from ex_variables where id='$existing' ";
$sql->dbDelete($sqlT1);
$sql_2="delete from scheme_fields  where id_scheme='".$existing."' ";
				$sql1->dbDelete($sql_2);
$test->description_name="field_name";
	$test->setCurrentId($existing);
	echo $test->confirmdeleteValues();
	?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
	<?
}

if($make_query){

$conn_arr=readDirConnections("../database");
	echo "<table align=\"center\" ><tr><th>".$_field_name."</th></tr>";
$sqlText=stripslashes($_query);
		require_once("../database/db_".$conn_arr[$_connection_name].".php");
$q_connect=db_connect($oArray);

if($res=db_query($q_connect,$sqlText)){
	while($row=db_fetch($res)){
	echo "<tr>";
			echo "<td>".$row[0]."</td>";
	echo "</tr>";
	}
};
	echo "</table>";
	db_disconnect($q_connect);
}

?>
<script>
function makeQuery(){
frm_old=document.getElementById("frm_");
field_value=frm_old._f_field.options[frm_old._f_field.selectedIndex].value;
operation_value=frm_old._f_operation.options[frm_old._f_operation.selectedIndex].text;
query_value=frm_old._query.value;
if(query_value.length>0){
		q_a1=query_value.split("(");
		count_a=q_a1.length;
		str_=query_value.replace(" where", " inner join form_values form_values"+(1*count_a)+" on  form_values.id_blank = form_values"+(1*count_a)+".id_blank and form_values"+(1*count_a)+".field='"+field_value+"' and ");
		str_=str_.replace("from "," ? "+operation_value+"(form_values.field_value) from ");
		//str_=str_+" group by "
		frm_old._query.value=str_;
} else {
str_="select "+operation_value+"(form_values.field_value) from form_values form_values where  form_values.field='"+field_value+"' ";
frm_old._query.value=str_;
}

}
function makeExpression(){
frm_old=document.getElementById("frm_");
field_value=frm_old._f_field.options[frm_old._f_field.selectedIndex].value;
query_value=frm_old._query.value+" ? "+"{"+field_value+"}";
frm_old._query.value=query_value;
}

</script>
<?
require_once(FOOTERF_D);
?>
