<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
 
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");

$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
checkaccess(USERPERMS,$db);
$buttons="&nbsp;&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/frameprint.gif\" onclick=\"printdebtors();\" >&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;
";
//session_register("types_search_form");
require_once(HEADERF);
$searchsubmit=1;
$browser=new browser;
$st=new tagSelect;
//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);

//============ ORGANIZATIONS ==================
$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();


foreach ($arr as $r){
$s->add($r,"organization.id","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}


//=================== ORGANIZATIONS ======================


$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"period"=>array("type"=>"datetime",
													"value"=>$period,
													"caption"=>LAN_11),
							"org"=>array("type"=>"select",
												"table_name"=>"organization 	left outer join dict_city on
													organization.id_city=dict_city._id left join dict_region on
													organization.id_region=dict_region._id
													where  $searchText_org ",
													"id_name"=>"organization.id",
													"description_name"=>"organization.name,dict_region._name,dict_city._name ",
													"caption"=>LAN_FIRM),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------

$fields_search_query=array("f_keywords"=>array("dict_organization._name","blanks.name","blanks.comments"),
"org"=>"debtors.id_organization");
$fields_search_types=array("f_keywords"=>1,"org"=>2);
$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;


$period_1=date("Y-m-d",time()-$workPeriod);
$period_now=date("Y-m-d",time());

if($period!=""){
$searchText1=" blanks.date_ between ".$ch->checkData1($from_,"",0)." and ".$ch->checkData1($to_,"",0)." ";
} else {
$searchText1="1=1";
}

 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by debtors.date_last desc ";
	};

$user_org=$st->selectV("users","user_id","user_organization",USERID);

//==================   ===================

$sqlText="SELECT debtors.id_debtor,  blanks.name,
organization.name as org_name,concat(organization.address, '<br>' ,organization.phone, '<br>' , organization.email) as info, organization.contact1, debtors.date_update, debtors.date_last FROM
debtors inner join
blanks on blanks.id_blank=debtors.id_blank left outer join
organization on debtors.id_organization=organization.id
left outer join  users on users.user_id=blanks.user_id
where  (". $searchText. ") and  (".$searchText1.") and ( debtors.id_organization=".$user_org." OR
".USERPERMS."=1)  ".$ord;

//echo $sqlText;
$browser=new browser;
$browser->row_attr=" ";
$browser->field_attr=" class='list'  onclick=\"editdebtor('__id__');\" ";
$test=new selectQueryBrowserStat($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array(
	"id_debtor"=>"",
	"org_name"=>LAN_FIRM,
	"info"=>LAN_ADDRESS."<br>".LAN_71."<br>".LAN_EMAIL,
	"contact1"=>LAN_75,
	"name"=>LAN_NAME,
	"blank"=>LAN_BLANK,
	"date_update"=>LAN_11,
	"date_last"=>LAN_67,
	"pri"=>""
);
$test->setHeaders($headers);
$test->setPK("id_debtor");

//$test->setPriority("pri");
$test->setQuery($sqlText);


require_once(FOOTERF);
?>

