<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <foffice@is.zp.ua>
 * @author Mike Shapovalov <mikeshap@mail.ru>
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");

require_once("../include/tree.cls.php");
$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);

checkaccess(USERPERMS,$db);

if($updateP>0){
$sqlT="delete from link_organizations where organization_id='$link_existing' ";
//echo $sqlT."<br>";
$sql->dbDelete($sqlT);

$arr_checked=explode(";",$check_field);
	foreach($arr_checked as $l_id){
		if($l_id>0&&$link_existing>0){
			$sqlT="insert into  link_organizations values ('$l_id','$link_existing') ";
			//echo $sqlT."<br>";
			$sql->dbInsert($sqlT);
		}
	}

} else {
$sqlT="select link_id from link_organizations where organization_id='$link_existing' ";
//echo $sqlT."<br>";
$sql->dbQuery($sqlT);

while (list($link_id)=$sql->dbFetch()){
$check_field.=$link_id.";";
}
}
//echo $check_field;


$buttons="&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;<input name=\"add\" type=\"image\" class=\"command\"
src=\"../images/media/filenew.gif\" onclick=\"editObjts('edit_links.php?add_value=1','width=450,height=350,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\" >&nbsp;
";
require_once(HEADERF);

$searchsubmit=1;
$browser=new browser;
$st=new tagSelect;
//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);

//============ ORGANIZATIONS ==================
$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();

foreach ($arr as $r){
$s->add($r,"organization.id","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}


//=================== ORGANIZATIONS ======================


$handle=opendir("../languages");
while ($file = readdir($handle)){
	if($file != "." && $file != ".."&&strstr($file,"lan_")){

		$l_n=eregi_replace("lan_|.php", "", $file);
		$lanlist[$l_n] =$l_n;

	}
}
closedir($handle);


$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"link_perm"=>array("type"=>"array",
													"options"=>array("1"=>LAN_NO,"2"=>LAN_YES),
													"value"=>(isset($_link_unvisible)?$_link_unvisible:""),
													"caption"=>LAN_2122),
							"link_existing"=>array("type"=>"select",
												"table_name"=>"organization 	left outer join dict_city on
													organization.id_city=dict_city._id left join dict_region on
													organization.id_region=dict_region._id
													where  $searchText_org ",
													"id_name"=>"organization.id",
													"description_name"=>"organization.name,dict_region._name,dict_city._name ",
													"caption"=>LAN_FIRM),
							"link_unvisible"=>array("type"=>"array",
													"options"=>array(""=>LAN_77,"1"=>LAN_78),
													"value"=>(isset($_link_unvisible)?$_link_unvisible:""),
													"caption"=>LAN_38),
						"link_language"=>array("type"=>"array",
													"options"=>$lanlist,
													"value"=>(isset($_link_language)?$_link_language:""),
													"caption"=>LAN_LANGUAGE),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------
$fields_search_query=array("f_keywords"=>array("links1.link_name","links2.link_name","links1.link_url"),

"link_unvisible"=>"links1.link_unvisible",
"link_language"=>"links1.link_language"
);
$fields_search_types=array("f_keywords"=>1,
"link_unvisible"=>2,
"link_language"=>1
);
$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;

if($link_perm=="1"){
$searchText1=" and link_organizations.organization_id is null ";
} elseif($link_perm=="2") {
$searchText1=" and link_organizations.organization_id is not null";
} else {
$searchText1="";
}

$searchText.=$searchText1;

if(isset($link_existing)){

 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by links1.link_parent, links1.link_order";
	};

	$user_org=$st->selectV("users","user_id","user_organization",USERID);

$sqlText="SELECT links1.link_id, case when link_organizations.organization_id is null then 7 else 1 end as link_permission ,
links1.link_name,links2.link_name as parent,links1.link_url,links1.link_order,links1.link_language
 FROM links links1 left outer join links links2 on links1.link_parent=links2.link_id left outer join link_organizations on
 link_organizations.link_id=links1.link_id and link_organizations.organization_id=".$link_existing."
 where ".$searchText." and (  link_organizations.organization_id=".$user_org." OR
".USERPERMS."=1)  ".$ord;


$browser=new browser;
$browser->row_attr="   onMouseOver=\"overList(this)\"
	 onMouseOut=\"outList(this)\"   id=\"tr_list___id__\" ";
$browser->field_attr=" class='list'  onclick=\"editLink('__id__');\"  ";
$test=new selectQueryBrowserStat($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array(
	"link_id"=>"",
	"link_name"=>LAN_2110,
	"link_url"=>LAN_2117,
	"parent"=>LAN_2120,
	"link_order"=>LAN_2121,
	  "link_language"=>LAN_LANGUAGE
);
$test->setHeaders($headers);
$test->setPK("link_id");

$test->setPriority("link_permission");

$test->setQuery($sqlText);
?>
<center>
<input type="button" name="updateP" value="<?=LAN_39?>" onclick="fUpdate();">
</center>
<?
}
?>

<script>
function openEdit(add_action){
frm=document.getElementById("frm_1");
frm.existing.value=frm.link_existing.options[frm.link_existing.selectedIndex].value;
return submitAllNew('edit_links.php?'+add_action,'width=550,height=350',frm);
}
function fUpdate(){
frm=document.getElementById("frm_search");
frm.action=frm.action+"&updateP=1";
frm.submit();
}
</script><?
require_once(FOOTERF);
?>


