<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
 
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");
require_once("../include/tree_structure.inc.php");

$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
//checkaccess(USERPERMS,$db);

$buttons="&nbsp;&nbsp;&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;
<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/filenew.gif\" onclick=\"editItem(0,'edit_organization.php');\" >&nbsp;
";

require_once(HEADERF);
//============ ORGANIZATIONS ==================
$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();


foreach ($arr as $r){
$s->add($r,"organization.id","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}


//=================== ORGANIZATIONS ======================
$target_id=(isset($HTTP_GET_VARS['target_id']))?$HTTP_GET_VARS['target_id']:-1;
//=================== tree ========================
function TreeOrg_old($t1name,$id1,$descr1,$t2name,$id_parent,$id_chaild,$searchT,$start,$level){
$sql1=new dbfunc;

$sqlT="SELECT $t1name.$id1, $t1name.$descr1, $t2name.$id_parent
FROM $t1name
LEFT OUTER JOIN $t2name ON $t2name.$id_chaild = $t1name.$id1
LEFT OUTER JOIN $t1name organization2 ON organization2.$id1 = $t2name.$id_parent
  where  ( ".$searchT. " )  order by 3,2 ";

if(!$start&&$level==0){
$sql1->dbQuery($sqlT);
list($i1,$n1,$i2)=$sql1->dbFetch();
		$start=" $t2name.$id_parent='$i2' ";
}

$sqlT="SELECT $t1name.$id1, $t1name.$descr1, $t2name.$id_parent
FROM $t1name
LEFT OUTER JOIN $t2name ON $t2name.$id_chaild = $t1name.$id1
LEFT OUTER JOIN $t1name organization2 ON organization2.$id1 = $t2name.$id_parent
  where   ( $start ) order by 3,2 ";
 //echo $sqlT."<br><br>";
if($sql1->dbQuery($sqlT)){

			for($i = 0; $i < $level; $i++)
			{
				$space .= "&nbsp;&nbsp;-&nbsp;";
			}
   $level_ = $level+1;

	while(list($i1,$n1,$i2)=$sql1->dbFetch()){
		$str_n.="<tr><td>".$space.$n1."</td></tr>";
		$str_n.=TreeOrg($t1name,$id1,$descr1,$t2name,$id_parent,$id_chaild,$searchT," $t2name.$id_parent='$i1' ",$level_);
	}
	return $str_n;
} else {
return;
}

}
$st=new tagSelect;
$org=$st->selectV("organization","id","name",USERORG);
$tab=array();

$tab[]=array("id"=>USERORG,"text"=>$org,"id_father"=>-1);
function TreeOrg($t1name,$id1,$descr1,$t2name,$id_parent,$id_chaild,$searchT,$start,$level){
global $tab;
$sql1=new dbfunc;

$sqlT="SELECT $t1name.$id1, $t1name.$descr1, $t2name.$id_parent
FROM $t1name
LEFT OUTER JOIN $t2name ON $t2name.$id_chaild = $t1name.$id1
LEFT OUTER JOIN $t1name organization2 ON organization2.$id1 = $t2name.$id_parent
  where  ( ".$searchT. " )  order by 3,2 ";

if(!$start&&$level==0){
$sql1->dbQuery($sqlT);
list($i10,$n10,$i20)=$sql1->dbFetch();
		$start=" $t2name.$id_parent='$i20' ";
}

$sqlT="SELECT $t1name.$id1, $t1name.$descr1, $t2name.$id_parent
FROM $t1name
LEFT OUTER JOIN $t2name ON $t2name.$id_chaild = $t1name.$id1
LEFT OUTER JOIN $t1name organization2 ON organization2.$id1 = $t2name.$id_parent
  where   ( $start ) order by 3,2 ";
 //echo $sqlT."<br><br>";
if($sql1->dbQuery($sqlT)){

			for($i = 0; $i < $level; $i++)
			{
				$space .= "&nbsp;&nbsp;-&nbsp;";
			}
   $level_ = $level+1;

	while(list($i1,$n1,$i2)=$sql1->dbFetch()){
	$tab[]=array("id"=>$i1,"text"=>$n1,"id_father"=>$i2);
		$str_n.="<tr><td>".$space.$n1."</td></tr>";
		$str_n.=TreeOrg($t1name,$id1,$descr1,$t2name,$id_parent,$id_chaild,$searchT," $t2name.$id_parent='$i1' ",$level_);
	}
	return $str_n;
} else {
return;
}


}

$self=$_SERVER["PHP_SELF"];
$self_num_=explode("&",$_SERVER["QUERY_STRING"]);
($_SERVER["QUERY_STRING"]) ? $self_num=$self_num_[0]: $self_num=0;

TreeOrg("organization","id","name","organization_levels", "organization_main","organization_ancillary",$searchText_org," organization_levels.organization_main='".USERORG."'" ,0);

// tree in text mode
$tree=new tree_structure($tab,"id","text","id_father","../images","graphic");

// transform the linear tab to the tab ordered in tree order
$tree->transform($tree->get_idroot());
$tree->collapse_all();
if ($id!=-1) // expand tree to $expand_id node id if $expand_id is "set"
  $tree->expand_to($target_id);

// dynamic view. React to mouse click!

$str1= "<table border='0' cellspacing='0' cellpadding='0' >\n";
for ($y=0;$y<$tree->height();$y=$tree->get_next_line_tree($y)) {
	$str1.= " <tr>\n";
	$str1.= "   <td valign=\"center\" style=\"padding: 0 0 0 0;\" >\n      ";
  // the $a part is the static part of tree
  // the $b part is the last part of the tree, the part which looks like + or - in windows looking tree
  // the $c part is the text of the node
  // the $d part is the id of the node
  list($a,$b,$c,$d)=$tree->get_line_display($y);
	$str1.=  $a;
	if ($tree->tree_tab[$y]["symbol"]=="plus") // if node is "+" => expand it
		$str1.= "<a href=$self?$self_num&target_id=$d>$b</a>";
	else
		if ($tree->tree_tab[$y]["symbol"]=="moins") // if node is "-" => expand to father
			$str1.= "<a href=$self?$self_num&target_id=".$tree->tree_tab[$y]["id_father"].">$b</a>";
		else // else the node have static tree
			$str1.= $b;
	$str1.= $c;
	$str1.= "\n    </td>\n";
	$str1.= " </tr>\n";
}
$str1.= "</table>\n";


echo $str1;

//==================/ tree =========================

$searchsubmit=1;
$browser=new browser;

//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);


//session_register("types_search_form");

$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"id_country"=>array("type"=>"select",
													"table_name"=>"dict_country",
													"id_name"=>"_id",
													"description_name"=>"_name",
													"caption"=>LAN_68),
							"id_city"=>array("type"=>"select",
													"table_name"=>"dict_city",
													"id_name"=>"_id",
													"description_name"=>"_name",
													"caption"=>LAN_08),
							"id_area"=>array("type"=>"select",
													"table_name"=>"dict_area",
													"id_name"=>"_id",
													"description_name"=>"_name",
													"caption"=>LAN_37),
							"id_region"=>array("type"=>"select",
													"table_name"=>"dict_region",
													"id_name"=>"_id",
													"description_name"=>"_name",
													"caption"=>LAN_56),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------

$fields_search_query=array("f_keywords"=>array("organization.name",
"organization.contact1","organization.contact2","organization.comment"),
"id_country"=>"organization.id_country",
"id_sity"=>"organization.id_sity",
"id_area"=>"organization.id_area",
"id_region"=>"organization.id_region");
$fields_search_types=array("f_keywords"=>1,
"id_country"=>2,
"id_sity"=>2,
"id_area"=>2,
"id_region"=>2);

$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;

 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by organization.name ";
	};
if(!$start){$start=0;};
$s1=new Search();


$sqlText="SELECT organization.id, organization.name,
organization.address, organization.phone, organization.email, organization.contact1,
dict_city._name as city_name,dict_area._name as area_name,dict_region._name as region_name
FROM organization  left outer join dict_country on dict_country._id=organization.id_country
  left outer join dict_city on dict_city._id=organization.id_city
   left outer join dict_area on dict_area._id=organization.id_area
    left outer join dict_region on dict_region._id=organization.id_region
	 where    (".$searchText.") ".$ord;

//echo $sqlText;
$browser=new browser;
$browser->row_attr=" ";
$browser->field_attr="   onclick=\"editOrganization('__id__');\" class='list' ";
$test=new selectQueryBrowser($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array(
	"id"=>"",
	"name"=>LAN_31 ,
	"address"=>LAN_ADDRESS,
	"phone"=>LAN_71,
	"email"=>LAN_EMAIL,
	"contact1"=>LAN_75,
	"region_name"=>LAN_56,
);
$test->setHeaders($headers);
$test->setPK("id");

$test->setQuery($sqlText);
require_once(FOOTERF);
?>


