<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
 
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");

$st=new tagSelect;

$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
checkaccess(USERPERMS,$db);
$user_org=$st->selectV("users","user_id","user_organization",USERID);


 $sqlT=" SELECT distinct blanks.id_blank,  blanks.name
FROM blanks  left outer join  users on users.user_id=blanks.user_id
left outer join  organization on users.user_organization=organization.id
 left outer join form_organization on  blanks.id_blank=form_organization.id_blank where
  ( form_organization.organization_id=".$user_org." OR
".USERPERMS."=1)";

  //echo $sqlT;

$sql->dbQuery($sqlT);
$text_1.= "
".LAN_82.": <br><select name=\"report_existing\" class=tbox id=report_existing >
<option></option>";

while (list($f_id,$f_name)=$sql->dbFetch()){

$text_1.= "<option value=\"$f_id\" ".(($f_id==$report_existing)?"selected":"").">".substr($f_name,0,50)."</option>";

}

$text_1.="</select>";

$buttons=$text_1."&nbsp;<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/pencil.png\"
onclick=\"editItemReport();\" >&nbsp;&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;
";

require_once(HEADERF);
?>
<script>
function editItemReport(){
f=document.getElementById("report_existing");
ex=f.options[f.selectedIndex].value;
if(ex>0){
submitNew("make_report_result.php","width=500;height=300");
} else {
alert(LAN_83);
}
return;
}

</script>
<?
$searchsubmit=1;
$browser=new browser;

//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);


//session_register("types_search_form");

$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"period"=>array("type"=>"datetime",
													"value"=>$period,
													"caption"=>"<select name=\"period_name\" >

													<option value=\" forms.date_\">".LAN_11."</option>
													<option value=\" forms.date_update\">".LAN_13."</option>
													</select>"),

							"blanks"=>array("type"=>"select",
													"table_name"=>"blanks",
													"id_name"=>"id_blank",
													"description_name"=>"name",
													"caption"=>LAN_72),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------

$fields_search_query=array("f_keywords"=>array("forms.name","forms.comments"),
"blanks"=>"blanks.id_blank");
$fields_search_types=array("f_keywords"=>1,"blanks"=>2);
$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;
$period_1=date("Y-m-d",time()-$workPeriod);
$period_now=date("Y-m-d",time());

if($period_name){
$searchText1=" $period_name between ".$ch->checkData1($from_,"",0)." and ".$ch->checkData1($to_,"",0)." ";
} else {
$searchText1="1=1";
}

 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by forms.date_ desc";
	};
if(!$start){$start=0;};
$s1=new Search();


$org=$st->selectV("users","user_id","user_organization",USERID);

//($org!="")  ? $searchText2="  users.user_organization='".$org."' " :$searchText2=" 1=1 " ;
$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",$org,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();


foreach ($arr as $r){
$s->add($r,"users.user_organization","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}


$sqlText="SELECT distinct forms.id, blanks.name as type_name,
organization.name as org_name,
forms.name,
forms.date_,
users.r_name,
forms.date_update,
forms.comments, case when forms.blank is not null and length(forms.blank)>0 then
concat('<a href=\"',forms.blank,'\" target=\"_blank\" >".LAN_80."</a><br>
<a href=\"',replace(forms.blank,'.html.html','.html'),'.html\" target=\"_blank\" >".LAN_81."</a>') else ' ' end as _text
FROM forms inner join blanks on blanks.id_blank=forms.id_blank left outer join users on
 forms.user_id=users.user_id left outer join form_organization on  blanks.id_blank=form_organization.id_blank
left outer join  organization on forms.user_id=organization.id where (". $searchText_org. ")
and  (".$searchText.") and  (".$searchText1.") ".$ord;

//echo $sqlText;
$browser=new browser;
$browser->row_attr=" ";
$browser->field_attr="   onclick=\"editReport('__id__');\" class='list' ";
$test=new selectQueryBrowserStat($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array(
	"id"=>"",
	"type_name"=>LAN_72,
	"name"=>LAN_NAME,
	"org_name"=>LAN_FIRM,
	"comments"=>LAN_41,
		"date_"=>LAN_DATA,
		"r_name"=>LAN_61,
		"date_update"=>LAN_14,
		"_text"=> LAN_70
);
$test->setHeaders($headers);
$test->setPK("id");

$test->setQuery($sqlText);


require_once(FOOTERF);
?>


