<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
 
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");


$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
checkaccess(USERPERMS,$db);
if($unblock>0){
$sqlT="delete from form_blocks ";
$sql->dbDelete($sqlT);

$arr_checked=explode(";",$check_field);
	foreach($arr_checked as $l_id){
		if($l_id>0){
			$sqlT="insert into  form_blocks values ('$l_id','$report_existing','".date("Y-m-d H:i:s",time())."') ";
			$sql->dbInsert($sqlT);
		}
	}

} else {
$sqlT="select id_blank from form_blocks ";
$sql->dbQuery($sqlT);

while (list($report_id)=$sql->dbFetch()){
$check_field.=$report_id.";";
}
}


$buttons="&nbsp;&nbsp;&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;
<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/filenew.gif\" onclick=\"editItem(0,'edit_report.php');\" >&nbsp;
";

require_once(HEADERF);
$sqlT="SELECT DISTINCT forms.id, forms.name
FROM form_fields
INNER JOIN global_variables ON form_fields.field = global_variables.field
INNER JOIN blanks ON blanks.id_blank = form_fields.id_blank
INNER JOIN forms ON forms.id_blank = blanks.id_blank ";
$sql->dbQuery($sqlT);

while (list($_id,$_name)=$sql->dbFetch()){

$sqtr.=" forms.id='".$_id."' OR";
}
($sqtr)? $sqtr=substr($sqtr,0,-2) : $sqtr=" 1=0 " ;


$searchsubmit=1;
$browser=new browser;

//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);
//============ ORGANIZATIONS ==================
$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();


foreach ($arr as $r){
$s->add($r,"organization.id","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}


//=================== ORGANIZATIONS ======================

//session_register("types_search_form");

$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"period"=>array("type"=>"datetime",
													"value"=>$period,
													"caption"=>"<select name=\"f_name\" >
													<option value=\" forms.date_\"> </option>
													<option value=\" forms.date_update\"> </option>
													</select>"),
							"blanks"=>array("type"=>"select",
													"table_name"=>"blanks",
													"id_name"=>"id_blank",
													"description_name"=>"name",
													"caption"=>" "),
								"form_organization"=>array("type"=>"select",
												"table_name"=>"organization 	left outer join dict_city on
													organization.id_city=dict_city._id left join dict_region on
													organization.id_region=dict_region._id
													where  $searchText_org ",
													"id_name"=>"organization.id",
													"description_name"=>"organization.name,dict_region._name,dict_city._name ",
													"caption"=>LAN_31),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------

$fields_search_query=array("f_keywords"=>array("forms.name","forms.comments"),
"blanks"=>"blanks.id_blank",
"form_organization"=>"users.user_organization");
$fields_search_types=array("f_keywords"=>1,"blanks"=>2,"form_organization"=>2);
$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;
$period_1=date("Y-m-d",time()-$workPeriod);
$period_now=date("Y-m-d",time());

(!$from_)?$from_=date("d/m/Y 00:00:00",0):true;
(!$to_)?$to_=date("d/m/Y H:i:s",time()):true;
(!$f_name)?$f_name=" forms.date_update":true;
if($f_name){
$searchText1=" $f_name between ".$ch->checkData1($from_,"",0)." and ".$ch->checkData1($to_,"",0)." ";
} else {
$searchText1="1=0";
}

 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by forms.date_ desc";
	};
if(!$start){$start=0;};
$s1=new Search();
$st=new tagSelect;



$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();


foreach ($arr as $r){
$s->add($r,"organization.id","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}


$sqlText="SELECT distinct forms.id, blanks.name as type_name, forms.name as rap_name,
organization.name as org_name,
forms.date_,
users.r_name,
forms.date_update,
forms.comments, case when forms.blank is not null and length(forms.blank)>0 then
concat('<a href=\"',forms.blank,'\" target=\"_blank\" >".LAN_80."</a><br>
<a href=\"',replace(forms.blank,'.html.html','.html'),'.html\" target=\"_blank\" >".LAN_81."</a>') else ' ' end as _text,
case when ( $sqtr ) then 3 else 1 end as pri
FROM forms
inner join blanks on blanks.id_blank=forms.id_blank
left outer join users on  forms.user_id=users.user_id
left outer join form_organization on  blanks.id_blank=form_organization.id_blank
left outer join  organization on users.user_organization=organization.id
 where (".$searchText_org. ")
and  (".$searchText.") and  (".$searchText1.") ".$ord;

//echo $sqlText;
$browser=new browser;
$browser->row_attr=" ";
$browser->field_attr="   class='list' ";
$test=new selectQueryBrowserStat($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array(
	"id"=>"",
	"type_name"=>LAN_72,
	"rap_name"=>LAN_NAME,
	"name"=>LAN_74,
	"org_name"=>LAN_FIRM,
	"comments"=>LAN_41,
		"date_"=>LAN_DATA,
		"r_name"=>LAN_61,
		"date_update"=>LAN_14,
		"_text"=> LAN_70,
		"pri"=>""
);
$test->setHeaders($headers);
$test->setPriority("pri");
$test->setPK("id");

$test->setQuery($sqlText);
?>
<center>
<input type="button" name="unblock" value="<?=LAN_93?>" onclick="fUnblock();">
</center>

<script>

function fUnblock(){
frm=document.getElementById("frm_search");
frm.action=frm.action+"&unblock=1";
frm.submit();
}
</script><?
require_once(FOOTERF);
?>

