<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
 
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");


$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
//checkaccess(USERPERMS,$db);

$buttons="&nbsp;&nbsp;&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;
<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/filenew.gif\" onclick=\"editItem(0,'make_scheme.php');\" >&nbsp;
";

require_once(HEADERF);
$searchsubmit=1;
$browser=new browser;

//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);




$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"period"=>array("type"=>"datetime",
													"value"=>$period,
													"caption"=>"<select name=\"f_name\" >
													<option value=\" form_schemes.date_\">".LAN_11."</option>
													<option value=\" form_schemes.date_update\">".LAN_13."</option>
													</select>"),
							"blanks"=>array("type"=>"select",
													"table_name"=>"blanks",
													"id_name"=>"id_form",
													"description_name"=>"name",
													"caption"=>LAN_72),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------

$fields_search_query=array("f_keywords"=>array("form_schemes.name","form_schemes.comments"),
"blanks"=>"blanks.id_form");
$fields_search_types=array("f_keywords"=>1,"blanks"=>2);
$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;
$period_1=date("Y-m-d",time()-$workPeriod);
$period_now=date("Y-m-d",time());

if($f_name){
$searchText1=" $f_name between ".$ch->checkData1($from_,"",0)." and ".$ch->checkData1($to_,"",0)." ";
} else {
$searchText1="1=1";
}

 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by form_schemes.date_ desc";
	};
if(!$start){$start=0;};
$s1=new Search();


$sqlText="SELECT form_schemes.id, blanks.name as type_name, form_schemes.name,
form_schemes.date_, form_schemes.comments
FROM form_schemes  left outer join blanks on blanks.id_form=form_schemes.id_form where  form_schemes.user_id='".USERID."'
and  (".$searchText.") and  (".$searchText1.") ".$ord;

//echo $sqlText;
$browser=new browser;
$browser->row_attr="  onclick=\"editScheme('__id__');\" ";
$browser->field_attr=" class='list'  ";
$test=new selectQueryBrowser($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array(
	"id"=>"",
	"type_name"=>LAN_72,
	"name"=>LAN_33,
	"comments"=>LAN_42,
		"date_"=>LAN_DATA
);
$test->setHeaders($headers);
$test->setPK("id");

$test->setQuery($sqlText);
require_once(FOOTERF);
?>


