<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
 
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");


$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
//checkaccess(USERPERMS,$db);

$buttons="&nbsp;&nbsp;&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;
<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/filenew.gif\" onclick=\"editItem(0,'edit_variables.php');\" >&nbsp;
";

require_once(HEADERF);
require_once("../include/globals.php");
$count_=count($var_user_array);
$i=0;
echo "<table  ><tr><td valign=\"top\">";
			foreach($var_user_array as $_name=>$_description){
			if($i>($count_/2)-1){
				echo "</td><td valign=\"top\">"; $i=0;
			}
				echo "<b>".$_description."</b> -  {".$_name."} -  <i>".$$_name."</i><br>";
				$i++;
			}

echo "</td></tr></table>";
$searchsubmit=1;
$browser=new browser;

//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);


//session_register("types_search_form");

$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------

$fields_search_query=array("f_keywords"=>array("global_variables.field_name","global_variables.description"),
"connection_name"=>"global_variables.connection_name");
$fields_search_types=array("f_keywords"=>1,"connection_name"=>2);
$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;
$period_1=date("Y-m-d",time()-$workPeriod);
$period_now=date("Y-m-d",time());


 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by global_variables.field ";
	};
if(!$start){$start=0;};
$s1=new Search();


$sqlText="SELECT global_variables.id,  global_variables.field, global_variables.field_name, global_variables.description,
global_variables.query, global_variables.connection_name
FROM global_variables left join ex_variables on global_variables.id=ex_variables.id where  (".$searchText.") and global_variables.user_id='".USERID."' and ex_variables.id is NULL ".$ord;

//echo $sqlText;
$browser=new browser;
$browser->row_attr="  onclick=\"editVariables('__id__');\" ";
$browser->field_attr=" class='list'  ";
$test=new selectQueryBrowser($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array(
	"id"=>"",
	"field"=>LAN_21,
	"field_name"=>LAN_403,
	"description"=>LAN_COMMENTS,
	"connection_name"=>LAN_59
);
$test->setHeaders($headers);
$test->setPK("id");

$test->setQuery($sqlText);
require_once(FOOTERF);
?>


