<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <foffice@is.zp.ua>
 * @author Mike Shapovalov <mikeshap@mail.ru>
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/create_form_browser.cls.php");
require_once("../include/xml.fnc.php");
$buttons="&nbsp;
<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/filenew.gif\" onclick=\"editItem(0,'edit_report.php');\" >&nbsp;
";
$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$sql1=new dbfunc;
$browser=new browser;
$test=new createFormBrowser("forms",$browser);
$tt=new tagSelect;
$blank_name=$tt->selectV("blanks","id_blank","blank",$report_existing);

checkaccess(USERPERMS,$db);

$report_existing? $id_blank=$report_existing: "";

if($insertP&&$id_blank>0){
$sqlT=" SELECT distinct field FROM form_fields where  id_blank ='$id_blank' ";

$sql->dbQuery($sqlT);

 $large = $test->uploadpath."/online_report_".USERNAME."_".date("Y-m-d",time()).".html.html";
$sqlT1="insert into  forms values (0,'$id_blank','online report','".$large."','".date("Y-m-d")."','".date("Y-m-d")."','',
'".USERID."') ";

$sql1->dbInsert($sqlT1);
$num_report=$sql1->lastID;
while(list($f_name)=$sql->dbFetch()){
					$sqlT1="insert into  form_values values (0,'$id_blank','".$num_report."','$f_name','".$$f_name."') ";
					$sql1->dbInsert($sqlT1);
}

$xml_s=new xmlParser;
$text_.= "<center>
".$xml_s->showValues($blank_name.".html")."
<br>
</center>
";
$text_="<html><body>".$text_."</body></html>";
$fp=fopen($large,"w+");
fwrite($fp,$text_);
fclose($fp);
header("Location: list_reports.php");
}


require_once(HEADERF);

$sqlT=" SELECT blanks.id_blank, blanks.name, form_organization.organization_id ,users.user_id,forms.id_blank as  id_blank1
FROM blanks
INNER  JOIN form_organization ON blanks.id_blank = form_organization.id_blank and form_organization.organization_id=".USERORG."
 left outer join users on  users.user_organization=".USERORG."
  left outer join  forms on forms.id_blank=form_organization.id_blank and users.user_id=forms.user_id
 where form_organization.organization_id=".USERORG." and ((TO_DAYS( blanks.day_last) - TO_DAYS(CURRENT_DATE()) >0 and TO_DAYS(day_last) - TO_DAYS(CURRENT_DATE()) < DAYOFMONTH(day_last) ) OR (TO_DAYS(CURRENT_DATE()) > DAYOFMONTH(day_last) )) and forms.id_blank is null
";

  //echo $sqlT;

if($sql->dbQuery($sqlT)){
$text_.= "<center><form name=\"frm_1\" id=\"frm_1\" action=\"\" method=\"post\">
".LAN_05." <select name=\"report_existing\" class=tbox onchange=\"document.getElementById('frm_1').submit();\">
<option></option>";

while ($row=$sql->dbFetch()){
extract($row);

$text_.= "<option value=\"".$id_blank."\" ".(($id_blank==$report_existing&&$id_blank>0)?"selected":"").">$name</option>";

}

$text_.= "</select>";
$text_.= "</form>";
} else {
$text_.=LAN_03;
}
$text_.= "</center>
<table>";
/*$tr=new Tree;
$text_.= $tr->TreeLinksList($report_existing,0,"",0,$selected);
*/
$text_.= "</table>";


if(isset($report_existing)){

//========================= XML =========================
if($blank_name!=""){




$xml_s=new xmlParser;
if($updateP&&$report_existing>0){

$text_.= "<form action=\"make_report.php\" method=\"post\">
<input type=\"hidden\" name=\"report_existing\" value=\"$report_existing\" >
".((is_file($blank_name.".html"))?$xml_s->showForm($blank_name.".html"):"")."
<br>
<center>
<input type=\"submit\" name=\"insertP\" value=\"".LAN_84."\" >&nbsp;
&nbsp;
&nbsp;<input type=\"submit\" name=\"elseP\" value=\"".LAN_20."\" >
</center>
</form>";

} else {

$text_.= "<form action=\"make_report.php\" method=\"post\">
<input type=\"hidden\" name=\"report_existing\"  value=\"$report_existing\" >
".((is_file($blank_name.".html"))?$xml_s->createForm($blank_name.".html"):"")."
<br>
<center>
<input type=\"submit\" name=\"updateP\" value=\"".LAN_55."\" >&nbsp;
&nbsp;
&nbsp;<input type=\"reset\" name=\"showP\" value=\"".LAN_20."\" >
</center>
</form>";
}
}

//========================== XML ==============================

}
echo $text_;
?>

<script>
function openEdit(add_action){
frm=document.getElementById("frm_1");
frm.existing.value=frm.report_existing.options[frm.report_existing.selectedIndex].value;
return submitAllNew('edit_links.php?'+add_action,'width=550,height=350',frm);
}

</script><?
require_once(FOOTERF);
?>


