<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <foffice@is.zp.ua>
 * @author Mike Shapovalov <mikeshap@mail.ru>
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/create_form_browser.cls.php");
require_once("../include/xml.fnc.php");
$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$sql1=new dbfunc;
$browser=new browser;
$test=new createFormBrowser("forms",$browser);
$tt=new tagSelect;
$blank_name=$tt->selectV("blanks","id_blank","blank",$report_existing);

//checkaccess(USERPERMS,$db);

if($insertP&&$report_existing>0){
$sqlT=" SELECT distinct field FROM form_fields where  id_blank ='$report_existing' ";

$sql->dbQuery($sqlT);
$ch=new check;
$r_desciption_=$ch->CheckType(1,(($r_desciption)?$r_desciption:"online report"),"",false);
$r_name_=$ch->CheckType(1,(($r_name)?$r_name:"online report"),"",false);
 $large = $test->uploadpath."/online_report_".USERNAME."_".date("Y-m-d",time()).".html.html";
$sqlT1="insert into  forms values (0,'$report_existing',$r_name_,'".$large."','".date("Y-m-d")."','".date("Y-m-d")."',$r_desciption_ ,
'".USERID."') ";

$sql1->dbInsert($sqlT1);
$num_report=$sql1->lastID;
while(list($f_name)=$sql->dbFetch()){
					$sqlT1="insert into  form_values values ('$report_existing','".$num_report."','$f_name','".$$f_name."') ";
					$sql1->dbInsert($sqlT1);
}
//==================  Block used reports ================================
$ch_arr=explode(";",$check_field);
			$ch_arr=array_unique($ch_arr);
			$sql2=new dbfunc;
				foreach ($ch_arr as $r){
					if($r>0){
						$sqlTextBlock="insert into form_blocks values ('$r','".$num_report."','".date("Y-m-d H:i:s",time())."' )";
						$sql2->dbInsert($sqlTextBlock);
					}
}
//===================================
$xml_s=new xmlParser;
$text_.= "<center>
".$xml_s->showValues($blank_name.".html")."
<br>
</center>
";
$text_="<html><body>".$text_."</body></html>";
$fp=fopen($large,"w+");
fwrite($fp,$text_);
fclose($fp);
?>
<script>
		window.close();
		window.opener.location="../user/list_reports.php";
</script><?
}


require_once(HEADERF_D);


if(isset($report_existing)){

//========================= XML =========================
if($blank_name!=""){


$xml_s=new xmlParser;
if($updateP&&$report_existing>0){

$text_.= "<form action=\"make_report_result.php\" method=\"post\">
<input type=\"hidden\" name=\"report_existing\" value=\"$report_existing\" >
<input type=\"hidden\" name=\"check_field\"  value=\"$check_field\" >
".$xml_s->showForm($blank_name.".html")."
<br>
<table >
<tr><td>".LAN_79."</td>
<td><input type=\"text\" name=\"r_name\" class=\"tbox\" size=\"30\" maxlength=\"250\"
 value=\"".htmlspecialchars($r_name)."\"></td></tr>
<tr><td>".LAN_41." </td>
<td><textarea  class=\"tbox\"  cols=\"40\" rows=\"3\" name=\"r_description\"   >".htmlspecialchars($r_description)."</textarea></td></tr>
</table>

<center>
<input type=\"submit\" name=\"insertP\" value=\"".LAN_84."\" >&nbsp;
&nbsp;
&nbsp;<input type=\"submit\" name=\"elseP\" value=\"".LAN_20."\" >
</center>
</form>";

} else {

$text_.= "<form action=\"make_report_result.php\" method=\"post\">
<input type=\"hidden\" name=\"report_existing\"  value=\"$report_existing\" >
<input type=\"hidden\" name=\"check_field\"  value=\"$check_field\" >
".$xml_s->createForm($blank_name.".html",$check_field)."
<br>
<table >
<tr><td>".LAN_85." </td>
<td><input type=\"text\" name=\"r_name\" class=\"tbox\" size=\"30\" maxlength=\"250\"></td></tr>
<tr><td>".LAN_41." </td>
<td><textarea  class=\"tbox\"  cols=\"40\" rows=\"3\" name=\"r_description\"   ></textarea></td></tr>
</table>

<center>
<input type=\"submit\" name=\"updateP\" value=\"".LAN_55."\" >&nbsp;
</center>
</form>";
}
}

//========================== XML ==============================

}
echo $text_;
?>

<script>
function openEdit(add_action){
frm=document.getElementById("frm_1");
frm.existing.value=frm.report_existing.options[frm.report_existing.selectedIndex].value;
return submitAllNew('edit_links.php?'+add_action,'width=550,height=350',frm);
}

</script><?
require_once(FOOTERF_D);
?>


