<?
/*
/////////////////////////////////////////////////////////

//++++++++++ e-Zvit +++++++++++++++

//	check.cls.php
//
//	(C)Copyright 2002-2003 Olga Axyonenko <olga@is.zp.ua>
//
//	This file is part of "e-Zvit" project.
//      See   http://www.is.zp.ua
//
/////////////////////////////////////////////////////////
*/
/*
PURPOSE:
		check inserted into forms values
*/
require_once("../include/mysql.cls.php");

	/**
	 *  Check    
	 *       .
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package SOI
	 */
class Check{
var $DoNotProcess=false;
var $text_err="";

function Clear(){
 $this->DoNotProcess = false;
 }

function CheckResult(){
 if ($this->DoNotProcess) {
	$this->text_err.= "<br><br><center >".ER_002.".</center>";
	return false;

	}
else return true;
}

function getValue($FValue){
	return $this->getVar($FValue);
}

function CheckType($type,$FValue,$FName,$Must){
	if($type==1) return $this->CheckString($FValue, $FName, $Must);
	if($type==2) return $this->CheckNumber($FValue, $FName, $Must);
	if($type==3) return $this->CheckData($FValue, $FName, $Must);
	if($type==4) return $this->CheckCurrency($FValue, $FName, $Must);

}


function CheckNumber($FValue,$FName,$Must){
	return $this->CheckNumber1($FValue,$FName,$Must);
}

function CheckNumber1($FValue,$FName,$Must){
		if ($FValue<>"")
		 {
			$fstr=ereg_replace(",", ".", $FValue);
			if (is_numeric($fstr))
			 {	return $fstr; }
			else
			 {
			$this->text_err.= "<ul><li><FONT size=2><b>".$FName."</b> ".ER_003.".</font></li></ul>";
			  $this->DoNotProcess = true;
			 }
		 }
		else
		 {
		 	 If	($Must == 1)
			  {
			  $this->text_err.= "<ul><li><FONT size=2> <b>".$FName."</b> ".ER_034.".</font></li></ul>";
			  $this->DoNotProcess = true;
        	  }
		 	 else
			  {	 return "''";	  };
		 }
	return "''";
	}
//---------------------------------------------------
function CheckCurrency($FValue,$FName,$Must){

		if ($FValue>0)
		 {
			$fstr=ereg_replace(",", ".", $FValue);
			//$fstr=$FValue;
			$fstr=1.00*sprintf("%.2f",$fstr);
			if (is_float($fstr))
			 {	return $fstr; }
			else
			 {
			$this->text_err.= "<ul><li><FONT size=2><b>".$FName."</b> ".ER_035.".</font></li></ul>";
			  $this->DoNotProcess = true;
			 }
		 }
		else
		 {
		 	 If	($Must == 1)
			  {
			  $this->text_err.= "<ul><li><FONT size=2> <b>".$FName."</b> ".ER_034.".</font></li></ul>";
			  $this->DoNotProcess = true;
        	  }
		 	 else
			  {	 return "";	  };
		 }
	return "";
	}
//---------------------------------------------------
function CheckString($FValue, $FName, $Must){
if (strlen($FValue)>0){

if (stristr(strtolower($FName),"mail")){
	if(!preg_match('/^[-!#$%&\'*+\.\/0-9=?A-Z^_`{|}~]+@([-0-9A-Z]|\.)/i', $FValue)){

		 $this->text_err.= "<ul><li><FONT size=2> <b>".$FName."</b> - ".LAN_106.".</font></li></ul>";
	         $this->DoNotProcess = true;
		 return;
	 } else {return "'".$this->CheckString1($FValue, $FName, $Must)."'";}
} else  {
	  $FValue=trim($FValue);
//$FValue=nl2br($FValue);
  
		return "'".$this->CheckString1($FValue, $FName, $Must)."'";
	}
} else return  "'".$this->CheckString1($FValue, $FName, $Must)."'";
}
function CheckString1($FValue, $FName, $Must){
		If ($FValue <> "")
		 {
		 	$CheckStr = $this->CheckChar($FValue);
			$CheckStr=str_replace("<br /><br />","<br />",$CheckStr);
			if (!get_cfg_var('magic_quotes_gpc')){
				$CheckStr = addslashes($CheckStr);
			}
					/*$CheckStr = str_replace("\"","&quot;", $CheckStr);
					$CheckStr = str_replace("\"","\\\"", $CheckStr);*/
			return "".$CheckStr."";
		 }
		else
		 {
		 	If ($Must == 1)
			 {//valore X deve essere indicato
			 	$this->text_err.= "<ul><li><FONT size=2> <b>".$FName."</b> ".ER_034.".</font></li></ul>";
				$this->DoNotProcess = true;
			  }
			 else
			  {  return "";	  }
		 }
	return "";

	}

//---------------------------------------------
function CheckChar1($FValue){
	return $this->CheckChar($this->getVar($FValue));
}

function CheckChar($FValue){
		return  ($FValue);
		//return ereg_replace("'", "''", $FValue );
		//$CheckChar = ereg_replace("|", "' + Chr(124) + '", $CheckChar);
	}
	
function qwerty1234($str){
$t=strlen($str);
$s=$str;
	for ($i=0;$i<$t-1;$i++){
		if (($s[$i]=="\\")&&($s[$i+1]=="'")) {$s[$i]="''";}
	}
return $s;
}


function CheckData($FValue,$FName,$Must){
	return $this->CheckData1($FValue,$FName,$Must);
}

function CheckData1($FValue,$FName,$Must)
	{
		if ($FValue<>"")
		 {
		    $FValue=str_replace(".","/",$FValue);

			$date_arr=explode("/",$FValue);
			if(count($date_arr)>1) {
		    $dstr=$date_arr[0];
		    $mstr=$date_arr[1];
			$ystr=$date_arr[2];
			$time_array=explode(" ",$ystr);
				$ystr=$time_array[0];
				$time_=$time_array[1];
			} else {
			$date_arr=explode("-",$FValue);
			$dstr=$date_arr[2];
		    $mstr=$date_arr[1];
			$ystr=$date_arr[0];
			$time_array=explode(" ",$dstr);
				$dstr=$time_array[0];
				$time_=$time_array[1];
			}
				
			if (strlen($ystr)==0) $ystr="2000".$ystr;
			if (strlen($ystr)==1) $ystr="200".$ystr;
			
		
			if (strlen($ystr)==2) {
				($ystr>20)?$ystr="19".$ystr:$ystr="20".$ystr;
			} 
			if (strlen($ystr)==3) $ystr="2".$ystr;

			
				if (strlen($dstr)==1) $dstr="0".$dstr;
			if (strlen($mstr)==1) $mstr="0".$mstr;
			
			
			if (checkdate($mstr,$dstr,$ystr))
			 {	return  "'".$ystr."-".$mstr."-".$dstr." ".$time_."'"; }
			else
			 {
			 	$this->text_err.= "<ul><li><FONT size=2><b>".$FName."</b> ".ER_036.".</font></li></ul>";
			  $this->DoNotProcess = true;
			 }
		 }
		else
		 {
		 	 If	($Must == 1)
			  {
			  $this->text_err.= "<ul><li><FONT size=2> <b>".$FName."</b> ".ER_034.".</font></li></ul>";
			  $this->DoNotProcess = true;
        	  }
		 	 else
			  {	 return "''";	  };
		 }
	return "";  
	}

	function getVar($a)
	{
		global $HTTP_GET_VARS,$HTTP_POST_VARS;
		foreach ($HTTP_GET_VARS as $key=>$value)
		{
			if (strtoupper($key)==strtoupper($a)) return $value;
		}
		foreach ($HTTP_POST_VARS as $key=>$value)
		{
			if (strtoupper($key)==strtoupper($a)) return $value;
		}
		return false;
	}

	function getVarH($a){
		return ($this->getVar($a));
	}
	function getErr(){
		return $this->text_err;
	}
		function checkNULL($var){
		if ($var=="NULL"||$var=="0") {return "";} else { return $var;}
	}

}
//===============================================================================
class Search extends Check{
var $Sql='';
var $SearchText='';
var $OrderText='';
var $DoNotTrim=true;
var $cript,$wher,$txt;
var $urlstr="";

function Search($where1='where',$text='Searchtext'){
	$this->wher=$where1; $this->txt=$text;
	//------------------------------
	$qqq=stripslashes($this->getVar($this->wher));
	$qqq=urldecode($qqq);

	$this->Sql=$qqq;
	$this->SearchText=stripslashes($text);
	if ($this->Sql) $this->DoNotTrim=true;
}


function getInputs($where='where',$text='Searchtext'){
	$sql=$this->getSql();
	if ($this->USE_CRYPT) $sql=$this->cript->encrypt($sql);

	$s=urlencode($sql);
	$t=($this->SearchText);
	return '<input type="hidden" name="'.$where.'" value="'.$s.'"><input type="hidden" name="'.$text.'" value="'.$t.'">';
}
function getURLSearch($namea,$valuea){
	 $addsimb= ($this-> urlstr) ? "&" : "?";
	 $this-> urlstr.=$addsimb.$namea."=".$valuea;
	 return  $this-> urlstr;
}

function getLine($where='where',$text='Searchtext'){
	$s=$this->getSql();

	if ($this->USE_CRYPT)	$s=$this->cript->encrypt($s);

	$s=urlencode($s);
	$t=urlencode($this->SearchText);
	return $where.'='.$s."&".$text.'='.$t;
}

function getSearchText($ans='all'){
	$st=$this->SearchText;
	if($st) return $st; else return $ans;
}

function order($FStyle, $FValue, $FDefault) {
	$FValue=strtoupper($this->getVar($FValue));
	$FDefault=strtoupper($FDefault);
	$FStyle=strtoupper($this->getVar($FStyle));
	if ($FStyle=="") $FStyle="ASC ";
	if ($FValue==""||$FValue=="0") $FValue=$FDefault;
	$this->OrderText.=" ORDER BY ".$FValue." ".$FStyle;
}

function add($FValue, $FName, $FCaption, $FType, $FStyle, $FGlobStyle,$s_name=""){
global $HTTP_SESSION_VARS, $where, $Searchtext,$urlstr ;

if($s_name=="") { $s_name=$FCaption;}

$c=$this->Sql;

switch($FType){
	case 1://String
		if ($FStyle=="LIKE" || $FStyle=="NOT LIKE" )
		$c.="  $FName regexp '".(($this->CheckChar($FValue)))."|".strtoupper($this->CheckChar($FValue))."|".strtolower($this->CheckChar($FValue))."'    ".$FGlobStyle;
			elseif($FStyle=="="){
		$c.="  $FName regexp '".(($this->CheckChar($FValue)))."|".strtoupper($this->CheckChar($FValue))."|".strtolower($this->CheckChar($FValue))."'    ".$FGlobStyle;
			} else $c.="  $FName regexp '".(($this->CheckChar($FValue)))."|".strtoupper($this->CheckChar($FValue))."|".strtolower($this->CheckChar($FValue))."'   ".$FGlobStyle." ";
			$this->getURLSearch($s_name,$FValue);
		break;
	case 2://numeric
		$c.=$FName.$FStyle.$this->CheckNumber1($FValue,$FName,false)."  ".$FGlobStyle." ";
		$this->getURLSearch($s_name,$FValue);
		break;
	case 3://Date
	if (stristr($FStyle,"LIKE")){$c.="  UPPER($FName)  regexp  '".strtolower($FValue)."' ".$FGlobStyle." ";}
	else{
		$c.=$FName.$FStyle." '".$FValue."' ".$FGlobStyle." ";
	}
		$d=explode("/",$FValue);
			$this->getURLSearch("month","'$d[0]'");
			$this->getURLSearch("day","'$d[1]'");
			$this->getURLSearch("year","'$d[2]'");
		break;
	case 4://fulltext
		$c.=" MATCH (".$FName.") AGAINST ('".$this->CheckChar($FValue)."')  ".$FGlobStyle." ";
		$this->getURLSearch($s_name,$FValue);
		break;
	}
	$this->SearchText.=" $FCaption $FStyle  <b>".(stripslashes($FValue))."</b> $FGlobStyle";
	$this->Sql=$c;
	}

function getSql(){
	return substr($this->Sql,0,-5);

}
function getOrder(){
	return $this->OrderText;
}
function getURL(){
	 return $this-> urlstr;
}
}

class m_check
{
	var $errorMessage = false;

	//   fieldValue   fieldName
	//type 0 -   1 -   2 - email, 3 - , 4 - 
	//5- 
	//req 0 -    1 -  
	function checkValue($fieldValue, $fieldName="", $req=false ,$type=0)
	{
		//   
		$fieldValue =(trim($fieldValue));

		//      
		if($fieldValue == "" && $req )
		{
			$this->errorMessage .= $fieldName." ".ER_034;
		}

		//  email   
		if($type == 2 && $fieldValue != "")
		{
			if(!eregi("^[a-zA-z0-9_]+@[a-zA-z0-9\-]+\.[a-zA-z0-9\-\.]+$", $fieldValue))
			{
				$this->errorMessage .= ER_037." ".$fieldName;
			}
		}

		//    
		if($type == 3 && $fieldValue != "")
		{
			//      
			$arr_date = explode("/",$fieldValue);
			$year = $arr_date[2];
			$mounth = $arr_date[1];
			$day = $arr_date[0];

   $fieldValue = $year."/".$mounth."/".$day;
			// 
			if(!checkdate($mounth, $day, $year))
			{
				$this->errorMessage .= $fieldName." ".ER_036;
			}

		}

		//     
		if($type == 5 && $fieldValue != "")
		{

			//     
			if(!is_numeric($fieldValue))
			{
				$this->errorMessage .=  $fieldName." ".ER_035;
			}
			else
			{
				settype($fieldValue,"double");
			}
			$fieldValue = number_format($fieldValue,2,".","");
		}
		return $fieldValue;
	}
}

?>
