<?
/*
/////////////////////////////////////////////////////////

//++++++++++ e-Zvit +++++++++++++++

//	mysql.cls.php
//
//	(C)Copyright 2002-2003 Olga Axyonenko <olga@is.zp.ua>
//
//	This file is part of "e-Zvit" project.
//      See   http://www.is.zp.ua
//
/////////////////////////////////////////////////////////
*/
/*
PURPOSE:
		database functions
*/
	require_once("../admin/config.php");
/*#######################################
									dbFunctions class
#######################################*/

class dbfunc{

	var $mySQLserver;
	var $mySQLuser;
	var $mySQLpassword;
	var $mySQLdefaultdb;
	var $mySQLaccess;
	var $mySQLresult;
	var $mySQLrows;
	var $mySQLerror;

	function dbConnect($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb){
		//echo $mySQLserver." - ". $mySQLuser." - ". $mySQLpassword." - ". $mySQLdefaultdb;

		$this->mySQLserver = $mySQLserver;
		$this->mySQLuser = $mySQLuser;
		$this->mySQLpassword = $mySQLpassword;
		$this->mySQLdefaultdb = $mySQLdefaultdb;
		$temp = $this->mySQLerror;
		$this->mySQLerror = TRUE;
		$this->mySQL_access = @mysql_connect($this->mySQLserver, $this->mySQLuser, $this->mySQLpassword);
		@mysql_select_db($this->mySQLdefaultdb);
		$this->dbError("dbConnect/SelectDB");
		$this->mySQLerror = $temp;
	}

	function dbPConnect($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb){
		$this->mySQLserver = $mySQLserver;
		$this->mySQLuser = $mySQLuser;
		$this->mySQLpassword = $mySQLpassword;
		$this->mySQLdefaultdb = $mySQLdefaultdb;
		$this->mySQL_access = @mysql_pconnect($this->mySQLserver, $this->mySQLuser, $this->mySQLpassword);
		@mysql_select_db($this->mySQLdefaultdb);
		$this->dbError("dbConnect/SelectDB");
	}

	function dbRows(){
		$rows = $this->mySQLrows = @mysql_num_rows($this->mySQLresult);
		return $rows;
		$this->dbError("dbRows");
	}

	function dbCount($query){
		if($this->mySQLresult = @mysql_query($query)){
			$rows = $this->mySQLrows = @mysql_fetch_array($this->mySQLresult);
			return $rows[0];
		}else{
			$this->dbError("dbCount ($query)");
		}
	}
	

	function dbQuery($query){

		if($this->mySQLresult = @mysql_query($query)){
			$this->dbError("dbQuery");
			return $this->dbRows();
		}else{
			$this->dbError("dbQuery ($query)");
			echo "<br><br> MySQL Error : ".$query."<br>";
			return FALSE;
		}

	}

	function dbFetch(){
		if($row = @mysql_fetch_array($this->mySQLresult)){
			$this->dbError("dbFetch");
			return $row;
		}else{
			$this->dbError("dbFetch");
			return FALSE;
		}
	}
	function dbFetchAssoc(){
		if($row = @mysql_fetch_assoc($this->mySQLresult)){
				$this->dbError("dbFetch");
			return $row;
		} else{
			$this->dbError("dbFetch");
			return FALSE;
		}
	}

	function dbInsert($query,$stat_content=""){
		if($stat_content!="")
		{
			$statQuery = "INSERT INTO users_stat VALUES
				('".USERID."', 'INSERT','".$stat_content."','".date("Y-m-d H:i:s",time())."')";
			mysql_query($statQuery);
		}
		$result = $this->mySQLresult = @mysql_query($query);
		$rr= @mysql_query("select LAST_INSERT_ID() as lid");
		$row = @mysql_fetch_assoc($rr);
		$this->lastID =$row["lid"];
		$this->dbError("dbInsert ($query)");
		return $result;
	}

	function dbUpdate($query, $stat_content=""){
		if($stat_content!="")
		{
			$statQuery = "INSERT INTO users_stat VALUES
				('".USERID."', 'UPDATE','".$stat_content."','".date("Y-m-d H:i:s",time())."')";
				mysql_query($statQuery);
		}
		$result = $this->mySQLresult = @mysql_query ($query);
		$this->dbError("dbUpdate ($query)");
		return $result;
	}

	function dbDelete($query, $stat_content=""){
		if($stat_content != "")
		{
			$statQuery = "INSERT INTO users_stat VALUES
				('".USERID."', 'DELETE','".$stat_content."','".date("Y-m-d H:i:s",time())."')";

			mysql_query($statQuery);
		}
		$result = $this->mySQLresult = @mysql_query ($query);
		$this->dbError("dbDelete ($query)");
		return $result;
	}

	function dbClose(){
		mysql_close();
		$this->dbError("dbClose");
	}
	
	function dbSwitch($db){
		@mysql_select_db($db);
		$this->dbError("dbSwitch");
	}

	function dbSetErrorReporting($mode){
		$this->mySQLerror = $mode;
	}

	function dbError($from){
		if($error_message = @mysql_error()){
			if($this->mySQLerror == TRUE){
				echo "<b>mySQL Error!</b> Function: $from. [".@mysql_errno()." - $error_message]<br />";
				exit;
				return $error_message;
			}
		}
	}

	function dbFree(){
		@mysql_free_result();
		$this->dbError("dbFree");
	}
	
	function dbTableInfo(){
		$this->mySQLresult = @mysql_list_tables($this->mySQLdefaultdb);
		$this->dbError("dbInfo");
		return $this->mySQLresult;
	}
	
	function dbFieldInfo($mySQLdefaultdb, $table){
		$this->mySQLresult = @mysql_list_fields($mySQLdefaultdb, $table);
		$this->dbError("dbInfo");
		return $this->mySQLresult;
	}

	function dbInfo(){
		return "<b>mySQL Info</b><br />Host: ".@mysql_get_host_info()."<br />
		Protocol: ".@mysql_get_proto_info()."<br />
		Client: ".@mysql_get_client_info()."<br />
		Server: ".@mysql_get_server_info()."<br />";
	}
	
}
class mySqlDatabase
{

/**
	 *  
	 * @var string
	 * @access public
	 */
	var $mySQLserver;
	/**
	 *  
	 * @var string
	 * @access public
	 */
	var $mySQLuser;
	/**
	 *  
	 * @var string
	 * @access public
	 */
	var $mySQLpassword;
	/**
	 *   
	 * @var string
	 * @access public
	 */
	var $mySQLdefaultdb;
	/**
	 *    
	 * @var object
	 * @access public
	 */

	var $mySQLresult;
		/**
	 *  ,     
	 * @var string
	 * @access public
	 */
	var $mySQLrows;
		/**
	 *   
	 * @var string
	 * @access public
	 */
	var $mySQLerror;
		/**
	 *   SQL- 
	 * @var string
	 * @access public
	 */
	var $queryResult;
	
	
	/**
	 *  ,     SQL- 
	 * @var string
	 * @access public
	 */
	var $queryNumRows;
		/**
	 *   
	 * @var string
	 * @access privat
	 */
	var $database;
		
	
			/**
	 * .     
	 * @access public
	 */
	 
	function mySqlDatabase ($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb)
	{
		$this->database = $mySQLdefaultdb;
		if(@!mysql_pconnect($mySQLserver, $mySQLuser,$mySQLpassword))
		{
			echo "MySQL ERROR: Can not establish connection with ".$mySQLserver.".";
			exit;
		}
		if(@!mysql_select_db($mySQLdefaultdb))
		{
			echo "MySQL ERROR: Database (".$mySQLdefaultdb.") not exist.";
			exit;
		}
		
	}
	/**
	 *     .
	 * $queryString -  
	 * @access public
	 */




	//      queryString   
	 function Query($queryString)
	{
		if(!$this->queryResult = @mysql_query($queryString))
		{
			echo "<br> MySQL ERROR: ".$queryString."<br><br />".mysql_error()."<br>";
			return false;
		}
		return true;
	}

		/**
	 *    
	 * @access public
	 */
	function QueryNumRows()
	{	
		$this->queryNumRows = @mysql_num_rows($this->queryResult);
		return $this->queryNumRows;
	}
		/**
	 *  ()  -   
	 * @access public
	 */

	function QueryRow()
	{
		$row = @mysql_fetch_array($this->queryResult);
		return $row;
	}
			/**
	 *  ( ) -   
	 * @access public
	 */
	function QueryRowAssoc()
	{
		$row = @mysql_fetch_array($this->queryResult,"MSQL_ASSOC");
		return $row;
	}
	/**
	 *   
	 * @access public
	 */
	
	function ReloadQuery()
	{
		mysql_data_seek($this->queryResult,0);
	}
		/**
	 *        
	 * @access public
	 */

	function QueryTableName()
	{
		$tableName = @mysql_field_table($this->queryResult,0);
		return $tableName;
	}
	/**
	 *       index   
	 * @access public
	 */

	function QueryFieldName($index)
	{
		$fieldName = @mysql_field_name($this->queryResult,$index);
		return $fieldName;
	}
	
		/**
	 *      
	 * @access public
	 */

	function countTables()
	{
		$tableNames = $this->listTables();
		return count($tableNames);
	}
	
		/**
	 *         
	 * @access public
	 */

	function listTables()
	{
		$result = mysql_list_tables($this->database);
		$i = 0;
		while ($i < mysql_num_rows ($result)) 
		{
    		$tableNames[$i] = mysql_tablename ($result, $i);
    		$i++;
		}
		return($tableNames);
	}
	
			/**
	 *       
	 * @access public
	 */


	function fieldTypes($tableName)
	{
		$fields = mysql_list_fields($this->database, $tableName);
		$columns = mysql_num_fields($fields);

		for ($i = 0; $i < $columns; $i++)
		{
  			$fieldTypes[$i] = mysql_field_type($fields, $i);
		}
		return $fieldTypes;
	}

	
	/**
	 *       
	 * @access public
	 */
	
	
	function fieldNames($tableName)
	{
		$fields = mysql_list_fields($this->database, $tableName);
		$columns = mysql_num_fields($fields);

		for ($i = 0; $i < $columns; $i++)
		{
  			$fieldNames[$i] = mysql_field_name($fields, $i);
		}
		return $fieldNames;
	}

		/**
	 *     
	 * @access public
	 */

	function countFields($tableName)
	{
		$fields = mysql_list_fields($this->database, $tableName);
		$columns = mysql_num_fields($fields);
		return 	$columns; 
	}

		/**
	 *   -   .
	 *  :
	 * blob:         $meta->blob
	 * max_length:   $meta->max_length
	 * multiple_key: $meta->multiple_key
	 * name:         $meta->name
	 * not_null:     $meta->not_null
	 * numeric:      $meta->numeric
	 * primary_key:  $meta->primary_key
	 * table:        $meta->table
	 * type:         $meta->type
	 * unique_key:   $meta->unique_key
	 * unsigned:     $meta->unsigned
	 * zerofill:     $meta->zerofill
	 * @access public
	 */
	 
	function fitchQueryFields($index_){
    $meta = mysql_fetch_field($this->queryResult, $index_);
    if (!$meta) {
        echo "No information available<br />\n";
		return;
    }

return $meta;
	}
	
		/**
	 *    $index
	 * @access public
	 */
	 
	function typesQueryFields($index)
	{
		$fields = mysql_fieldtype($this->queryResult,$index);
		return 	$fields; 
	}
	
			/**
	 *    $index
	 * @access public
	 */
	function flagsQueryFields($index)
	{
		$fields = mysql_fieldflags($this->queryResult,$index);
		return 	$fields; 
	}
	
			/**
	 *    $index
	 * @access public
	 */
	function lenQueryFields($index)
	{
		$fields = mysql_fieldlen($this->queryResult,$index);
		return 	$fields; 
	}
	
			/**
	 *     
	 * @access public
	 */
	 
	function numQueryFields()
	{
		$fields = mysql_numfields($this->queryResult);
		return 	$fields; 
	}
	
		/**
	 *   .  
	 * @access public
	 */
	 
	function dbInsert($query,$stat_content=""){

		if($stat_content!="")
		{
			$statQuery = "INSERT INTO users_stat VALUES
				('".USERID."', 'INSERT','".$stat_content."','".date("Y-m-d H:i:s",time())."')";
			mysql_query($statQuery);
		}
		$result = $this->queryResult = @mysql_query($query);
		$this->dbError("dbInsert ($query)");
		return $result;
	}
	/**
	 *   .  
	 * @access public
	 */
	function dbUpdate($query, $stat_content=""){
		if($stat_content!="")
		{
			$statQuery = "INSERT INTO users_stat VALUES
				('".USERID."', 'UPDATE','".$stat_content."','".date("Y-m-d H:i:s",time())."')";

				mysql_query($statQuery);
		}
		$result = $this->queryResultt = @mysql_query ($query);
		$this->dbError("dbUpdate ($query)");
		return $result;
	}
/**
	 *   .  
	 * @access public
	 */
	function dbDelete($query, $stat_content=""){
		if($stat_content != "")
		{
			$statQuery = "INSERT INTO users_stat VALUES
				('".USERID."', 'DELETE','".$stat_content."','".date("Y-m-d H:i:s",time())."')";
			

			mysql_query($statQuery);
		}
		$result = $this->queryResult = @mysql_query ($query);
		$this->dbError("dbDelete ($query)");
		return $result;
	}
	/**
	 *  
	 * @access public
	 */
		function dbError($from){
		if($error_message = @mysql_error()){
				echo "<b>mySQL Error!</b> Function: $from. [".@mysql_errno()." - $error_message]<br />";
				exit;
				return $error_message;
		}
	}
		function db_Fetch(){
		/*
		# Retrieve table row
		#
		# - parameters		none
		# - return				result array, or error if (error reporting = on, error occured, boolean)
		# - scope					public
		*/
		if($row = @mysql_fetch_array($this->queryResult)){
			while (list($key,$val) = each($row)) {
				$row[$key] = stripslashes($val);
			}
			$this->dbError("db_Fetch");
			return $row;
		}else{
			$this->dbError("db_Fetch");
			return FALSE;
		}
	}
}

?>
