<?
/*
/////////////////////////////////////////////////////////

//++++++++++ e-Zvit +++++++++++++++

//	utils.fnc.php
//
//	(C)Copyright 2002-2003 Olga Axyonenko <olga@is.zp.ua>
//
//	This file is part of "e-Zvit" project.
//      See   http://www.is.zp.ua
//
/////////////////////////////////////////////////////////
*/
/*
PURPOSE:
		functions again
*/
 require_once("../include/globals.php");

function fieldText($text)
{
	return stripslashes(htmlspecialchars($text));
}
//===========fieldText


/* JavaScript alert       
	*     
	*$message_text string  
	*/
	function messageAndBack($message_text)
	{
?>
		<script language='JavaScript'>
			alert('<?echo $message_text?>');
			history.back();
		</script>
<?
	}
	
		function messageConfirm($message_text)
	{
?>
		<script language='JavaScript'>
			if(confirm('<?echo $message_text?>')){
			<?return true;?>
			} else {
			<?return false;?>};
		</script>
<?
	}
	/* JavaScript alert       
	*$message_text string  
	*/
	function message($message_text)
	{
?>	
		<script language='JavaScript'>
			alert('<?echo $message_text?>');
		</script>
<?
	}

	/*      
	*location
	*@location string  

	*/
	function redirect($location)
	{
?>
		<script language="JavaScript">
			window.location = "<?echo $location?>"
		</script>
<?
	}

	/*       
	*@location string  
	*/
	function redirectParent($location)
	{
?>
		<script language="JavaScript">
			window.parent.location = "<?echo $location?>"
		</script>
<?
	}
	// 
	function processing($text)
	{
		return trim(htmlspecialchars($text));
	}

	/*     frameName  
	*   frameLocation
	*@$frameName string  
	*@frameLocation string  
	*/
function reloadFrame($frameName, $frameLocation)
{
}

/*  
url - 
name -  
param -  
*/
function jsWindowOpen($url, $name="", $param="")
{
	return "
		<script language=\"JavaScript\">
			window.open('".$url."','".$name."','".$param."');
		</script>
	";
}

//     
function truncLeft($string, $number)
{
	return substr($string,0,strlen($string)-$number);
}
//========================================================================

	//     ,    
	//  true;
	function check($str)
	{
		//         ..
		$forbiddenSymbols = array(
			"!","@","#","$","%","^","&","*","(",")","-","=","+","/","\\","|","\"","<",">",".",",","?",":",";","'","[","]","}","{"," "
		);
		for($i=0; $i<count($forbiddenSymbols); $i++)
		{
			if (strstr($str,$forbiddenSymbols[$i]))
			{
				return false;
			}
		}
		return true;
	}

function searchString($str, $db, $table, $usl, $usl2)
{
	if(trim($str!=""))
	{
		$arr_fields = $db->fieldNames($table);
		$arr_search = explode(" ",$str);
		$result = "SELECT * FROM ".$table." WHERE ";

		for($i=0; $i<count($arr_search); $i++)
		{
			$result .= "(";
			if($i==count($arr_search)-1)
			{
				$t_text = "";
			}
			else
			{
				$t_text = $usl;
			}

			for($j=0; $j<count($arr_fields); $j++)
			{
				if($j==count($arr_fields)-1)
				{
					$t_field = ")";
				}
				else
				{
					$t_field = " OR ";
				}
				$result .= $arr_fields[$j]." ".$usl2."
			 		'%".$arr_search[$i]."%'".$t_field."";
			}

			$result .= $t_text;
		}
	}
	else
	{
		$result=false;
	}
	return $result;
}

/*  id    
	*@parentNumber integer - id  
	*@db mysqlDatabase -   
	*@table  string -  
	*@idField string -    id
	*@parentField string -     id

*/
 function takeChildren($parentNumber = 0, $db, $table, $idField, $parentField)
{
	$queryString = "SELECT ".$idField." , ".$parentField."
		FROM ".$table." WHERE ".$parentField."=".$parentNumber."";
	$db->Query($queryString);
	while(list($itemId) =$db->queryRow())
	{
		$result.= $itemId.",";
		$result.=takeChildren($itemId, $db, $table, $idField, $parentField);
	}
	return $result;
}


function jsWindowClose()
{
	return "
		<script language='JavaScript'>
			window.close();
		</script>
	";
}

function jsRefreshOpener($location)
{
	return 	"
		<script language='JavaScript'>
					window.opener.location='".$location."'
		</script>
	";
}

function htmlSelectBox($name,$values, $htmlParam="",$sel_value="")
{
	global $HTTP_POST_VARS;
	$result = "
		<select name=\"".$name."\" ".$htmlParam.">
	";
	foreach($values as $key=>$value)
	{
		if($key==$HTTP_POST_VARS[$name]||$key==$sel_value)
		{
			$sel="selected";
		}
		else
		{
			$sel="";
		}
		$result .= "
			<option ".$sel." value=\"".$key."\">".$value."</option>
		";
	}
	$result .= "
		</select>
	";
	return $result;
}

//    
function midnight()
{
	$gmt=0-date("Z");
	$day = getdate(time());
	//   
	return  gmmktime(0,0,0,$day[mon],$day[mday], $day[year])+$gmt;
}
	//    
	function mayday()
	{
		$gmt=0-date("Z");
		$day = getdate(time($gmt));
		//    
		return  gmmktime(0,0,0,$day[mon],0, $day[year])+$gmt;
	}

	//  
	function monday()
	{
		$gmt=0-date("Z");
		//   
		$day = localtime(midnight(),1);
		//   
		$weekDay = $day[tm_wday];
		//     ,   
		// 
		$seconds = 86400*($weekDay-1);
		return midnight()-$seconds+$gmt;
	}

	//    
	function lastMounthDay($firstDay)
	{
		$days = date("t",$firstDay);
		return $firstDay+$days*86400;
	}


	function checkaccess($userperms, $db)
{
	global $PHP_SELF;
	if(!is_numeric($userperms))
	{
		$userperms =6;
	}
	$file= basename($PHP_SELF);
	$queryString = "SELECT  link_organizations.organization_id from links inner join  link_organizations
	on links.link_id=link_organizations.link_id WHERE links.link_url = '../user/".$file."'
	and  link_organizations.organization_id ='".USERORG."' ";
	//echo $queryString;
	$db->Query($queryString);
	list($link_perm) = $db->QueryRow();
	if(!$link_perm)
	{
		?>
		<script>
		alert('<?=LAN_90?>');
		</script>
		<?
		header("location:../user/index.php");
		exit;
	}

}

function findVariableValue($var_name,$checks=""){
global $g_organization_name,$g_organization_address,$g_organization_phone,$g_organization_email
,$g_organization_manager,$g_organization_contacts,$g_organization_country,$g_organization_region
,$g_organization_area,$g_organization_city,$g_organization_comment
,$g_user_name,$g_phone,$g_mobile,$g_email,$g_post,$g_date,$g_date_inwords,$g_year,$g_month, $n, $oArray;

$sql1=new dbfunc;
$sql2=new dbfunc;
$sql=new dbfunc;
$conn_arr=readDirConnections("../database");

$sqlText1="select global_variables.query, global_variables.connection_name,ex_variables.id  from global_variables
left outer join ex_variables on ex_variables.id=global_variables.id where global_variables.field='$var_name' OR
global_variables.field='{".$var_name."}'  ";
	if($sql1->dbQuery($sqlText1)){
	list($query,$_connection_name,$id_ex)=$sql1->dbFetch();

		if($checks!=""){
			$ch_arr=explode(";",$checks);
			$ch_arr=array_unique($ch_arr);
			$s=new Search();
				foreach ($ch_arr as $r){
					($r>0) ? $s->add($r,"form_values.id_blank","",2," = ","OR") : false;
					}
				if (!$s->CheckResult()) return;
				if ($s->getSql()){$searchText_form=$s->getSql();} else {$searchText_form=" 1=1 ";}
			if(strstr($query,"form_values")){
				$query=preg_replace("/where /im","where (".$searchText_form.") and ",$query);
				$query=preg_replace("/GROUP /im"," and  (".$searchText_form.") GROUP ",$query,$res);
			}
		}
} else {
echo mysql_error()."<br>";
}

		//==================== SQL query =====================
if(count($conn_arr)>0&&!$id_ex&&$_connection_name){
		require_once("../database/db_".$conn_arr[$_connection_name].".php");

		$q_connect=db_connect($oArray);
		if($res=db_query($q_connect,$query)){
				list($var_value)=db_fetch($res);
		($var_value) ? $$var_name=stripslashes(htmlspecialchars($var_value)) : $$var_name=0;
  if($_connection_name!=="mysql") db_disconnect($q_connect);

	return ($$var_name) ? stripslashes(htmlspecialchars($$var_name)) : 0;
		}
}

//==================== expression =====================
 if($query&&$id_ex>0){
			$r1=preg_match_all("/{([^}]*)}/si",$query,$match);
			$str_express=$query;
			if($r1){
 				foreach($match[1] as $vr){
					$str_express="".str_replace("{".$vr."}",findVariableValue($vr,$checks),$str_express);
				}
			}
			@eval("\$rs=$str_express;  ");
					$$var_name=$rs;
					return ($$var_name) ? stripslashes(htmlspecialchars($$var_name)) : 0;

}

}

function findFieldValue($var_name,$f_id){

$sql1=new dbfunc;
$sql2=new dbfunc;
$sql=new dbfunc;

$sqlText1="select field_value from form_values where (field='$var_name' OR  field='{".$var_name."}' )
and id_blank='$f_id' ";

	$sql->dbQuery($sqlText1);
	list($field_value)=$sql->dbFetch();
return $field_value;
}
function fv($expression_str){

eval("echo \$expression_str.\"<br>\"; \$rs=$expression_str;  ");
return $rs;
}
?>
