<?
/*
/////////////////////////////////////////////////////////

//++++++++++ e-Zvit +++++++++++++++

//	xml.fnc.php
//
//	(C)Copyright 2002-2003 Olga Axyonenko <olga@is.zp.ua>
//
//	This file is part of "e-Zvit" project.
//      See   http://www.is.zp.ua
//
/////////////////////////////////////////////////////////
*/
/*
PURPOSE:
		xml parser functions
*/

require_once("../admin/config.php");
require_once("../include/mysql.cls.php");
require_once("../include/utils.fnc.php");
require_once("../languages/lan_".$language.".php");
require_once("../include/saxy/xml_saxy_parser.php");

class xmlParser{

var $error="";

function createXML($file_name_,$file_out="../xml/tmp_blank.xml"){
global $xlhtml_path;
		$file = $file_name_;
		$file_extention = strtolower(substr(strrchr($file, "."), 1));
		$file_name = eregi_replace(".".$file_extention, "", $file);


$s= $xlhtml_path ." -xp:0  $file_name_  > $file_name_.html";

exec($s,$out);

$s=$xlhtml_path ."    -xp:0  -xml  $file_name_  > $file_name_.xml";

exec($s,$out);



$fd=fopen("$file_name_.html" ,"r");
	$str=fread($fd,filesize($file_name_.".html"));
	fclose($fd);
	$str=utf2win($str);
	$str=str_replace("utf-8","windows-1251",$str);


	$fd=fopen("$file_name_.html" ,"w");
	fwrite($fd,$str);
	fclose($fd);

	return;
}


function createXML_old($file_name,$file_out="../xml/tmp_blank.xml"){


	$fd=fopen($file_name,"r");
	$str=fread($fd,filesize($file_name));
	fclose($fd);

$tableonly=stristr($str,"<table");
$st1=substr($tableonly,0,strrpos(strtoupper($tableonly),"</TABLE"));
$st1=$this->html2xml($st1);
$st1=preg_replace("/>(.)*([\t\n])[^<]</i",">\\1<",$st1);
$st1=str_replace("<BR>","<BR />",$st1);
$st1=str_replace("&nbsp;"," ",$st1);

$st1="<?xml version='1.0' encoding='UTF-8'?>\n".$st1."</TABLE>";
$fd1=fopen($file_out,"w+");
fwrite($fd1,$st1);
fclose($fd1);
}


function createForm($file_name,$checks=""){
	$fd=fopen($file_name,"r");
	$str=fread($fd,filesize($file_name));
	fclose($fd);

//$str1=$this->html2xml($str);
$str1=preg_replace("/SIZE=(\d*){1,2}/i","size=1 ",$str);
$str1=preg_replace("/({)([^}]*)(})/e","'<input type=\"text\" name=\"\\2\" size=10
value=\"'.findVariableValue('\\2','$checks').'\" >'",$str1);
$tableonly=stristr($str1,"<table");
$st1=substr($tableonly,0,strpos(strtoupper($tableonly),"</TABLE"));
$st1=str_replace("<BR>","<BR />",$st1);

return $st1."</table>";
}


function editForm($f_id){

$sqlT="select id_blank from forms where id='$f_id' ";
$sql=new dbfunc;
$sql->dbQuery($sqlT);
list( $id_blank )=$sql->dbFetch();

$sqlT="select  blank  from blanks where id_blank='$id_blank' ";
$sql=new dbfunc;
$sql->dbQuery($sqlT);
list( $blank )=$sql->dbFetch();


$file_name=$blank.".html";
$checks=$f_id;
	$fd=fopen($file_name,"r");
	$str=fread($fd,filesize($file_name));
	fclose($fd);

//$str1=$this->html2xml($str);
$str1=preg_replace("/SIZE=(\d*){1,2}/i","size=1 ",$str);
$str1=preg_replace("/({)([^}]*)(})/e","'<input type=\"text\" name=\"\\2\" size=10
value=\"'.findFieldValue('\\2','$checks').'\" >'",$str1);
$tableonly=stristr($str1,"<table");
$st1=substr($tableonly,0,strpos(strtoupper($tableonly),"</TABLE"));
$st1=str_replace("<BR>","<BR />",$st1);

return $st1."</table>";
}



function createForm_old($file_name){

	$fd=fopen($file_name,"r");
	$str=fread($fd,filesize($file_name));
	fclose($fd);
$str1=$this->html2xml($str);
$str=preg_replace("/({)([^}]*)(})/e","'<input type=\"text\" name=\"\\2\" size=10
value=\"'.findVariableValue('\\2').'\" >'",$str1);


$tableonly=stristr($str1,"<table");
$st1=substr($tableonly,0,strpos(strtoupper($tableonly),"</TABLE"));
$st1=str_replace("<BR>","<BR />",$st1);
return $st1."</table>";
}
function createFormSheme($file_name){
global $HTTP_POST_VARS;
foreach($HTTP_POST_VARS as $k=>$v){
$$k=$v;

}
	$fd=fopen($file_name,"r");
	$str=fread($fd,filesize($file_name));
	fclose($fd);
$str1=$this->html2xml($str);
$str1=preg_replace("/({)([^}]*)(})/i","<select name=\"sel_type[\\2]\" >
						<option value=\"0\" >".LAN_34."</option>
						<option value=\"group_1\" ".(($sel_type['\\2']=="group_1")?" selected ":"")." >".LAN_58." (1)</option>
						<option value=\"sum\" ".(($sel_type['\\2']=="sum")?" selected ":"").">".LAN_07."</option>
						<option value=\"count\" ".(($sel_type['\\2']=="count")?" selected ":"").">".LAN_25 ."</option>
						<option value=\"avg\" ".(($sel_type['\\2']=="avg")?" selected ":"").">".LAN_52."</option>
						<option value=\"min\" ".(($sel_type['\\2']=="min")?" selected ":"").">".LAN_51."</option>
						<option value=\"max\" ".(($sel_type['\\2']=="max") ? " selected " : "" )." >".LAN_50."</option>
						</select><input type=\"text\" name=\"\\2\" size=25 />",$str1);

$tableonly=stristr($str1,"<table");
$st1=substr($tableonly,0,strpos(strtoupper($tableonly),"</TABLE"));
$st1=str_replace("<BR>","<BR />",$st1);
return $st1."</table>";
}

function switchSelType($t){
		switch ($t){
			case "group_1":
				return "LAN_58";
			break;
			case "sum":
				return "LAN_07";
			break;
			case "count":
				return "LAN_25";
			break;
			case "avg":
				return "LAN_52";
			break;
			case "min":
				return "LAN_51";
			break;
			case "max":
				return "LAN_50";
			break;
		}
}

function showForm($file_name){
global $HTTP_POST_VARS;
foreach($HTTP_POST_VARS as $k=>$v){
$$k=$v;
//echo $k."=>".$v."<br>";
}
	$fd=fopen($file_name,"r");
	$str=fread($fd,filesize($file_name));
	fclose($fd);
$str1=$this->html2xml($str);
$str1=preg_replace("/SIZE=(\d*){1,2}/i","size=1 ",$str1);

/*$sf=preg_match_all("/(formula)(\()(.*)(\))/i",$str1,$res1);

foreach($res1[3] as $kk=>$vv){
$names_arr[$kk]="formula".preg_replace("/[^a-zA-Z0-9_]/","",$vv);

}*/

$s1=preg_match_all("/({)([^}]*)(})/i",$str1,$res1);
foreach($res1[2] as $kk=>$vv){
$str1=str_replace("{".$vv."}",$$vv."<input type=\"hidden\" name=\"$vv\" value=\"".$$vv."\">",$str1);
}

/*$s1=preg_match_all("/(formula\()(.*)(\))/i",$str1,$res1);
foreach($res1[2] as $kk=>$vv){
$str1=preg_replace("/(formula\()(.*)(\))/e",fv('\\2',$names_arr[$kk]),$str1);
}*/
//$str1=preg_replace("/(formula\()(.*)(\))/e","'<input type=\"hidden\" name=\"".$names_arr[$kk]."\" size=10 value=\"'.fv(\\2).'\" >'.fv(\\2).'",$str1);

//$str1=preg_replace("/({)(.*)(})/e",findVariableValue('\\2'),$str1);
//$str1=preg_replace("/>({)(.*)(})</i",">".findVariableValue('\\2')."<",$str1);

$tableonly=stristr($str1,"<table");
$st1=substr($tableonly,0,strpos(strtoupper($tableonly),"</TABLE"));
$st1=str_replace("<BR>","<BR />",$st1);

return $st1."</table>";
}

function showFormSheme($file_name){
global $HTTP_POST_VARS;
foreach($HTTP_POST_VARS as $k=>$v){
$$k=$v;
}
$str1="<table>";
foreach($sel_type as $key=>$val){
if($val!="0"){
$str1.="<tr><td>".$$key."<input type=\"hidden\" name=\"fields[$key]\" value=\"".$$key."\"></td>
<td>".$this->switchSelType($val)."</td></tr>
<tr><td><textarea name=\"sqlcond[$key]\" > field='$key' </textarea></td>
<td><textarea name=\"sqlquery[$key]\" cols=\"50\" rows=\"3\" >select ".$val."(field_value) from form_values where  field='$key' </textarea></td></tr>";

}
}

$str1.="</table>";
return $str1;

}


function showValues($file_name){
global $HTTP_POST_VARS;
foreach($HTTP_POST_VARS as $k=>$v){
$$k=$v;

}
	$fd=fopen($file_name,"r");
	$str=fread($fd,filesize($file_name));
	fclose($fd);
$str1=$this->html2xml($str);
$s1=preg_match_all("/({)([^}]*)(})/i",$str1,$res1);
foreach($res1[2] as $kk=>$vv){
$str1=str_replace("{".$vv."}",$$vv,$str1);
}

$tableonly=stristr($str1,"<table");
$st1=substr($tableonly,0,strpos(strtoupper($tableonly),"</TABLE"));
$st1=str_replace("<BR>","<BR />",$st1);
return $st1."</table>";
}



	function insertXMLblank($id_blank,$file_name){
		$st = new SAXY_Test;
		$st->SAXY_Blank($id_blank,$file_name);
	return;

}

	function checkXMLblank($id_blank_type,$file_name_){
	$res=1;
		$st1 = new SAXY_Test;
		$st1->SAXY_Check($id_blank_type);
		$res1=$st1->f_arr_1;
		$st2 = new SAXY_Test;
		$st2->SAXY_Arr($file_name_);
		$res2=$st2->f_arr_1;
		foreach($res1 as $row=>$coll_arr){
			foreach($coll_arr as $coll=>$val){
				if(!isset($res2[$row][$coll])) {
				$res=$res-1;
				$this->error.=($row+1)." ".LAN_88." ".($coll+1)." ".LAN_94."<br>";
				}
			};
		};
		foreach($res2 as $row=>$coll_arr){
			foreach($coll_arr as $coll=>$val){
				if(!isset($res1[$row][$coll])) {
				$res=$res-1;
				$this->error.=($row+1)." ".LAN_88." ".($coll+1)." ".LAN_94."<br>";
				}
			};
		};

			if($res<=0){
					$this->error=LAN_87."<br>".$this->error ;
					$this->errorReporting($this->error);
				return false;
			} else {
				return true;
			}
	}



	function errorReporting($text_err){
		echo $text_err;
	}
	function insertXMLvalues($id_blank_,$id_report_,$file_name_){
		$st = new SAXY_Test;
		$tr=$st->SAXY_Values($id_blank_,$id_report_,$file_name_);
		return $tr;

	}

	function html2xml($text){
/*	$array_cancel=array(	"/<p[^>]*>/i",
									"/<b[^>]*>/i",
									"/<font[^>]*>/i",
									"/<\/b[^>]*>/i",
									"/<\/font[^>]*>/i",
									"/<\/font[^>]*>/i",
									"/<\/p[^>]*>/i");
$str1=preg_replace($array_cancel,"",$text);*/
return $text;
	}


}

class SAXY_Test  extends xmlParser {

var $attributes;
var $f_id;
var $r_id;
var $f_arr=array();
var $f_arr_1=array();


		function SAXY_Blank($f_id,$fname) {
			$sp = new SAXY_Parser();
			$this->f_id=$f_id;
			if(!strstr($fname,".xml")) $fname=$fname.".xml";
			$sp->xml_set_element_handler(array(&$this, "startElement"), array(&$this, "endElement"));
   			$sp->xml_set_character_data_handler(array(&$this, "charData"));
			$fd=fopen($fname,"r");
			$content=fread($fd,filesize($fname));
			fclose($fd);
			$sp->parse($content);
		}//SAXY_Blank


		function SAXY_Values($id_blank_,$id_report_,$fname) {
			$this->fieldArrayGen($id_blank_);
			$sp = new SAXY_Parser();
			$this->f_id=$id_blank_;
			$this->r_id=$id_report_;
			if(!strstr($fname,".xml")) $fname=$fname.".xml";
			$sp->xml_set_element_handler(array(&$this, "startElement"), array(&$this, "endElement"));
   			$sp->xml_set_character_data_handler(array(&$this, "charDataV"));
			$fd=fopen($fname,"r");
			$content=fread($fd,filesize($fname));
			fclose($fd);
			$sp->parse($content);
		}//SAXY_Values

		function SAXY_Arr($fname){
			if(!strstr($fname,".xml")) $fname=$fname.".xml";
			$sp = new SAXY_Parser();
			$sp->xml_set_element_handler(array(&$this, "startElement"), array(&$this, "endElement"));
   			$sp->xml_set_character_data_handler(array(&$this, "charDataArr"));
			$fd=fopen($fname,"r");
			$content=fread($fd,filesize($fname));
			fclose($fd);
			$sp->parse($content);
			//print_r($this->f_arr_1);
			//echo "<br>";
			return;
		}

			function SAXY_Check($id_blank_) {
			$sql=new dbfunc;
					$sqlT="select blank from blanks where id_blank='$id_blank_' ";
					//echo $sqlT."---<br>";
					$sql->dbQuery($sqlT);
					list($blank)=$sql->dbFetch();
			if($blank!=""){
			$this->SAXY_Arr($blank);
			}
			return ;
		}//SAXY_Check


		function startElement($parser, $name, $attributes) {
		$this->attributes=$attributes;
		return;
		} //startElement
		
		function endElement($parser, $name) {
		return;
			//echo ("<br /><b>Close tag:</b> " . $name  . "<br />");
		} //endElement		

		function charData($parser, $text) {
			$sql=new dbfunc;
			$attributes=$this->attributes;
		if(isset($attributes["row"])&&isset($attributes["col"])){
		   	if(preg_match_all("/{([^}]*)}/si",$text,$match)){
					$field=preg_replace("/{([^}]*)}/si","\\1",$text);
					$field=preg_replace("/[^a-zA-Z0-9_]/","",utf2win($field));
					$sqlText="insert into form_fields values (0,'".$this->f_id."','".$attributes["row"]."-".$attributes["col"]."','$field')";
					$sql->dbInsert($sqlText);
				}
		}

		} //charData


	function charDataArr($parser, $text) {
			$sql1=new dbfunc;
			$attributes=$this->attributes;
				if(isset($attributes["row"])&&isset($attributes["col"])){
					$this->f_arr_1[$attributes["row"]][$attributes["col"]]=$text;
				}
			return ;
} //charDataV


	function charDataV($parser, $text) {

			$sql1=new dbfunc;
			$attributes=$this->attributes;

	if(isset($attributes["row"])&&isset($attributes["col"])&&isset($this->f_arr[$attributes["row"]][$attributes["col"]])){
		$field=$this->f_arr[$attributes["row"]][$attributes["col"]];
		$text=preg_replace("/[^a-zA-Z0-9_]/","",utf2win($text));
		$sqlText="insert into form_values values (0,'".$this->f_id."','".$this->r_id."','".$field."','".$text."')";
	//	echo $sqlText."<br>";
		if($sql1->dbInsert($sqlText)) $tr= true;
	}
return $tr;
	} //charDataV


	function fieldArrayGen($id_blank_){
	$sql=new dbfunc;
			$sqlT="select * from form_fields where id_blank='$id_blank_'   order by num";
			$sql->dbQuery($sqlT);
				while($row=$sql->dbFetch()){
						extract($row);
				$c_a=explode("-",$num);
				$this->f_arr[$c_a[0]][$c_a[1]]=$field;
			}
		return;
	}


	} //SAXY_Test

?>
