<?
/**
 * e-Zvit: Reports processing server.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems company										<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-zvit.sourceforge.net}
 *
 * @link http://e-zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@mail.zp.ua
 * @copyright Information Systems company
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
*  @copyrighter Evgeniya Degtyrenko.
 * @package e-Zvit
 */
	/**
	*, ,      links
	*existing -   



	 * @author Olga Axyonenko <office@is.zp.ua>

	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");
require_once("../include/utils.fnc.php");

require_once("../include/create_form_browser.cls.php");


$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
//checkaccess(USERPERMS,$db);
require_once(HEADERF_D);

$browser=new browser;



//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";


//   
$test=new createFormBrowser("links",$browser);

//   
$test->set_fields(1,array(
	"link_name"=>LAN_2110,
	"link_url"=>LAN_2117,
	 "link_description"=>LAN_2118,
	 "link_parent"=>LAN_2120,
	 "link_order"=>LAN_2121,
	 "link_open"=>LAN_2123,
	 "link_unvisible"=>LAN_38,
	  "link_language"=>LAN_LANGUAGE
));

// 
$test->setHeaderList(LAN_2024);

$test->setCurrentId($existing);
$lanlist[0]="";
$handle=opendir("../languages");
while ($file = readdir($handle)){
	if($file != "." && $file != ".."&&strstr($file,"lan_")){

		$l_n=eregi_replace("lan_|.php", "", $file);
		$lanlist[$l_n] =$l_n;

	}
}
closedir($handle);

//  
$types=array(		"existing"=>array("type"=>"hidden",
																"value"=>$_existing),
							"link_url"=>array("type"=>"text",
																"value"=>"../user/"),
							"link_id"=>array("type"=>"hidden",
																"value"=>$_link_id),
      						"link_parent"=>array("type"=>"select",
													"table_name"=>"links",
													"id_name"=>"link_id",
													"id_parent_name"=>"link_parent",
													"filling"=>1,
													"description_name"=>"link_name"),
							 "link_open"=>array("type"=>"array",
													"value"=>$_link_open,
													"options"=>array("4"=>LAN_2125,
													"1"=>LAN_2126, "2"=>LAN_2127,
													"3"=>LAN_2128,"5"=>LAN_2129),
													"caption"=>LAN_2123),
						"link_unvisible"=>array("type"=>"array",
													"options"=>array(""=>LAN_77,"1"=>LAN_78),
													"value"=>(isset($_link_unvisible)?$_link_unvisible:""),
													"caption"=>LAN_38),
						"link_language"=>array("type"=>"array",
													"options"=>$lanlist,
													"value"=>(isset($_link_language)?$_link_language:""),
													"caption"=>LAN_LANGUAGE),
							);
//  
$test->setTypes($types);

$test->setHeaders($headers);

//  
$test->setPK("link_id");


//   
if(isset($add)&&$add!=""){
	if(	$test->addValues()){
		$test->setCurrentId("");
		?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
	<?
}
}

// 
if(isset($update)&&$update!=""){

	if( $test->updateValues()){
	?>
		<script>
		//window.close();
		window.opener.location.reload();
		</script>
	<?
		};


}


//echo $test->listEditor("","",true);

if(isset($add_value)&&$add_value!=""){

$test->setCurrentId("");
$test->formWriter();
	$text= "
	<table>
		<tr>
			<td>".$test->modul[1].$test->modul[0]."</td>
		</tr>
		<tr>
			<td>".$test->modul[2]."</td>
		</tr>
	</table>";
		echo	$test->getForm($text);
}

if(isset($update_value)&&$update_value!=""){

$test->setCurrentId($existing); 
$test->formWriter();
	$text= "
	<table>
		<tr>
			<td>".$test->modul[1].$test->modul[0]."</td>
		</tr>
	    <tr>
			<td>".$test->modul[2]."</td>
		</tr>
		<tr>
			<td align=\"center\">


	";
if(!$delete_value)
{
		// 
		echo	$test->getForm($text);
}

}
	$test->description_name="link_name";
if(isset($delete_value)&&$delete_value!=""){

	echo $test->deleteValues();

}
if(isset($confirm)){
$test->setCurrentId($existing); 
	echo $test->confirmdeleteValues();
		?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
	<?

}
require_once(FOOTERF_D);


?>

