<?
/**
 * SOI: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems															<br>
 * Recordnaja 2, 87											<br>
 * 69006 Zaporozhie (Ukraine)												<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}							<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of SOI can be obtained from:
 * {@link http://soi.sourceforge.net}
 *
 * @link http://soi.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <foffice@is.zp.ua>
 * @author Mike Shapovalov <mikeshap@mail.ru>
 * @package SOI
 */

	/**
	*, ,      users
	*$existing-   



	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @author Mike Shapovalov <mikeshap@mail.ru>
	 * @package SOI
	 */
require_once("../include/auth_class.php");
require_once("../include/utill_class.php");
require_once("../include/utils.fnc.php");
require_once("../include/browser.php");
require_once("../include/create_form_browser.cls.php");

require_once(HEADERF_D);
//    
$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);


$browser=new browser;

//  
if (!isset($existing)||$existing=="")
$existing=$existing;


//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";

//???
if($existing)
{
	$edit=1;
}
else
{
	$add;
}

//  -  
if($existing)
{
	$update_value=1;
}
else
{
	$add_value = 1;
}
//============ ORGANIZATIONS ==================
$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();


foreach ($arr as $r){
$s->add($r,"organization.id","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}

//   
$test=new createFormBrowser("users",$browser);

//   
$test->set_fields(1,array(
	"r_name"=>LAN_75,
	"phone"=>LAN_35,
	"mobile"=>LAN_28,
	 "email"=>LAN_EMAIL,
	 "post"=>LAN_703,
	 	"user_sess"=>"",
	 "user_organization"=>LAN_62 
));
$test->set_fields(2,
array(
	"user_name"=>LAN_702,
	"user_pass"=>LAN_17
));

// 
$test->setHeaderList(LAN_2024);

//  
$types=array(			"existing"=>array("type"=>"hidden",
																"value"=>$_existing),
								"user_pass"=>array("type"=>"password",
																"not_null"=>1,
																"attr"=>" size=\"15\" "),
								"user_name"=>array("type"=>"text",
																"not_null"=>1,
																"attr"=>" size=\"15\" "),
								"user_sess"=>array("type"=>"hidden",
																"value"=>$_user_sess),
							  "user_id"=>array("type"=>"hidden",
																"value"=>$_user_id),
      						"user_organization"=>array("type"=>"select",
													"table_name"=>"organization 	left outer join dict_city on
													organization.id_city=dict_city._id left join dict_region on
													organization.id_region=dict_region._id
													where  $searchText_org ",
													"id_name"=>"organization.id",
													"description_name"=>"organization.name,dict_region._name,dict_city._name ",
													"caption"=>LAN_31),
							"user_level"=>array("type"=>"hidden",
													"value"=>"1")

							);
//  
$test->setTypes($types);


//  
$test->setPK("user_id");
$test->description_name="user_name";

//   
if(isset($add)&&$add!=""){
	if(	$test->addValues()){
	$test->setCurrentId("");
	 	?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
		<?
	}
		

}

// 
if(isset($update)&&$update!=""){

		 if($test->updateValues()){
	 	?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
		<?
		}
}


//echo $test->listEditor();

if(isset($add_value)&&$add_value!=""){

$test->setCurrentId("");
$test->formWriter();
	$text= "
	<table>
		<tr>
			<td>".$browser->modulstyle($test->modul[1].$test->modul[0],"",LAN_2024)."</td>
		</tr>
		<tr><td colspan=\"2\"><hr></td></tr>
		<tr>
			<td>".$browser->modulstyle($test->modul[2],"",LAN_2024)."</td>
		</tr>

		<tr>
			<td>".$browser->modulstyle($test->modul[3],"",LAN_2024)."</td>
		</tr>
	</table>";
		echo	$test->getForm($text);
}

if(isset($update_value)&&$update_value!=""){

$test->setCurrentId($existing);
$test->formWriter();
	$text= "
	<table>
		<tr>
			<td>".$browser->modulstyle($test->modul[1].$test->modul[0],"",LAN_2024)."</td>
		</tr>
		<tr><td colspan=\"2\"><hr></td></tr>
			<tr>
			<td>".$test->modul[2]."</td>
		</tr>

		<tr>
			<td>".$test->modul[3]."</td>
		</tr>
		<tr>
			<td align=\"center\">


	";
if(!$delete_value)
{
		// 
		echo	$test->getForm($text);
}

}

if(isset($delete_value)&&$delete_value!="")
{
	echo $test->deleteValues();
	$test->description_name="user_name";
}
if(isset($confirm))
{
$test->description_name="user_name";
	$test->setCurrentId($existing);
	echo $test->confirmdeleteValues();
	?>
		<script>
		window.close();
		window.opener.location.reload();
		</script>
	<?
}


require_once(FOOTERF_D);
?>

