<?php
/**
 * SOI: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of SOI can be obtained from:
 * {@link http://soi.sourceforge.net}
 *
 * @link http://soi.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <foffice@is.zp.ua>
 * @author Mike Shapovalov <mikeshap@mail.ru>
 * @package SOI
 */

	/**
	*      news     



	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @author Mike Shapovalov <mikeshap@mail.ru>
	 * @package SOI
	 */
require_once("../include/auth_class.php");
require_once("../include/utill_class.php");
require_once("../include/mysql.cls.php");
require_once("../include/utils.fnc.php");

$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
//checkaccess(USERPERMS,$db);
$buttons="&nbsp;
<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/filenew.gif\"
 onclick=\"editObjts('edit_news.php?add_value=1','width=450,height=350,left=220,top=210');\" >&nbsp;";
require_once(HEADERF);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);

$queryString = "SELECT news_id, user_id, DATE_FORMAT(news_date, '%d/%m/%y'),
	news_head, news_body
	FROM news ORDER BY news_date DESC";
$db->Query($queryString);
?>
<table width="100%" >
<?
	while( list($news_id, $user_id, $news_date, $news_head, $news_body)=$db->QueryRow())
	{
		if($user_id == USERID || USERORG == 1)
		{
			$style = "style = \"cursor: hand\" onclick = \"editNews(".$news_id.")\"";
		}
		else
		{
			$style = "";
		}

		$queryString = "SELECT user_name FROM users WHERE user_id = ".$user_id."";
		$db2->Query($queryString);
		list($user_name) = $db2->QueryRow();
?>
		<tr <?echo $style?>>
			<td>
				<b><?echo $news_head?> <i> <?echo $news_date?></i><b>
			</td>
		</tr>
		<tr <?echo $style?>>
			<td>
				<?echo $news_body?>
				<br />
				<br />
			</td>
		</tr>

<?
	}
?>
	<tr>
		<td>

		</td>
	</tr>
</table>
<?
require_once(FOOTERF);
?>
