<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
 
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");

$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
//checkaccess(USERPERMS,$db);
$buttons="&nbsp;&nbsp;&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;
<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/filenew.gif\"
 onclick=\"editObjts('edit_blank.php?add_value=1','width=450,height=350,left=220,top=210');\" >&nbsp;
";
//session_register("types_search_form");
require_once(HEADERF);
$searchsubmit=1;
$browser=new browser;
$st=new tagSelect;
//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);

//============ ORGANIZATIONS ==================
$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();


foreach ($arr as $r){
$s->add($r,"organization.id","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}


//=================== ORGANIZATIONS ======================


$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"period"=>array("type"=>"datetime",
													"value"=>$period,
													"caption"=>LAN_11),
							"org"=>array("type"=>"select",
												"table_name"=>"organization 	left outer join dict_city on
													organization.id_city=dict_city._id left join dict_region on
													organization.id_region=dict_region._id
													where  $searchText_org ",
													"id_name"=>"organization.id",
													"description_name"=>"organization.name,dict_region._name,dict_city._name ",
													"caption"=>LAN_FIRM),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------

$fields_search_query=array("f_keywords"=>array("dict_organization._name","blanks.name","blanks.comments"),
"org"=>"users.user_organization");
$fields_search_types=array("f_keywords"=>1,"org"=>2);
$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;


$period_1=date("Y-m-d",time()-$workPeriod);
$period_now=date("Y-m-d",time());

if($period!=""){
$searchText1=" blanks.date_ between ".$ch->checkData1($from_,"",0)." and ".$ch->checkData1($to_,"",0)." ";
} else {
$searchText1="1=1";
}

 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by pri";
	};

$user_org=$st->selectV("users","user_id","user_organization",USERID);

//==================   ===================
$sqlText="SELECT distinct blanks.id_blank,  blanks.name,
organization.name as org_name,
case when blanks.blank is not null and length(blanks.blank)>0 then
concat('<a href=\"',blanks.blank,'\" target=\"_blank\" >".LAN_80."</a><br>
<a href=\"',blanks.blank,'.html\" target=\"_blank\" >".LAN_81."</a>') else ' ' end as blank ,
blanks.date_,
blanks.comments,
 blanks.day_last,
case when blanks.period_month  is not null
then
concat(' 1 ".LAN_T." ', blanks.period_month ,
case when blanks.period_month > 1 and blanks.period_month < 6  then ' ".LAN_MONTH1." ' when blanks.period_month=1 then ' ".LAN_MONTH." '
 else ' ".LAN_MONTH2."' end) else ' ' end as period,

 case when TO_DAYS(day_last) - TO_DAYS(CURRENT_DATE()) >0  and
 TO_DAYS(day_last) - TO_DAYS(CURRENT_DATE()) < DAYOFMONTH(day_last) then 4
  when TO_DAYS(day_last) - TO_DAYS(CURRENT_DATE()) > 0 and
TO_DAYS(day_last) - TO_DAYS(CURRENT_DATE()) > DAYOFMONTH(day_last)
then 1 else 7 end as pri
FROM blanks left outer join  users on users.user_id=blanks.user_id
left outer join  organization on users.user_organization=organization.id
 where (". $searchText. ") and  (".$searchText1.") and ( users.user_organization=".USERORG." )
 ".$ord;
//echo $sqlText;
$browser=new browser;
$browser->row_attr=" ";
$browser->field_attr=" class='list'  onclick=\"editBlank('__id__');\" ";
$test=new selectQueryBrowser($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array(
	"id_blank"=>"",
	"org_name"=>LAN_FIRM,
	"name"=>LAN_NAME,
	"blank"=>LAN_BLANK,
	"date_"=>LAN_DATA,
	"comments"=>LAN_COMMENT,
	"day_last"=>LAN_67,
	"period"=>LAN_PERIOD,
	"pri"=>""
);
$test->setHeaders($headers);
$test->setPK("id_blank");

$test->setPriority("pri");
$test->setQuery($sqlText);


require_once(FOOTERF);
?>

