<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <foffice@is.zp.ua>
 * @author Mike Shapovalov <mikeshap@mail.ru>
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/tree.cls.php");
$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);

checkaccess(USERPERMS,$db);

$buttons="&nbsp;<input name=\"add\" type=\"image\" class=\"command\"
src=\"../images/media/filenew.gif\" onclick=\"editObjts('edit_user.php?add_value=1','width=450,height=350,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\" >&nbsp;
";
require_once(HEADERF);
 //=================  Organizations ===================

 $t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();
$s1=new Search();

foreach ($arr as $r){
$s->add($r,"users.user_organization","",2," = ","OR");
$s1->add($r," id","",2," = ","OR");
}

if (!$s->CheckResult()) return;
if (!$s1->CheckResult()) return;
if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}
if ($s1->getSql()){$searchText_org1=$s1->getSql();} else {$searchText_org1=" 1=1 ";}


$sqlT="select id,name from organization where $searchText_org1 ";
//echo $sqlT;
$sql->dbQuery($sqlT);
echo "<center><form name=\"frm_1\" id=\"frm_1\" action=\"$REQUEST_URI\" method=\"post\">
".LAN_04.": <select name=\"org_existing\"
class=tbox onchange=\"document.getElementById('frm_1').submit();\">
<option></option>";

while (list($id_,$org_)=$sql->dbFetch()){
echo "<option value=\"$id_\" ".(($id_==$org_existing)?"selected":"").">$org_</option>";

}

echo "</select>";
echo "</form>
</center>
<table>";
/*$tr=new Tree;
echo $tr->TreeLinksList($org_existing,0,"",0,$selected);
*/
echo "</table>";



 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by organization.name, users.user_level desc";
	};

($org_existing>0) ? $sqlT1=" and  organization.id='$org_existing'  " : $sqlT1=" and 1=1";



$sqlText="SELECT users.user_id, users.user_name,
	users.r_name, organization.name  as name_organization
	FROM users LEFT JOIN organization ON (users.user_organization = organization.id)
	 where ( $searchText_org ) ".$sqlT1."  ".$ord;

//echo $sqlText;
$browser=new browser;
$browser->row_attr="   onMouseOver=\"overList(this)\"
	 onMouseOut=\"outList(this)\"   id=\"tr_list___id__\"  onclick=\"editUser('__id__');\" ";
$browser->field_attr=" class='list'  ";
$test=new selectQueryBrowser($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array("user_id"=>"",
"user_name"=>LAN_22,
"r_name"=>LAN_24,
"name_organization"=>LAN_31,
);
$test->setHeaders($headers);
$test->setPK("user_id");

//$test->setPriority("link_permission");

$test->setQuery($sqlText);
?>

<script>
function openEdit(add_action){
frm=document.getElementById("frm_1");
frm.existing.value=frm.org_existing.options[frm.org_existing.selectedIndex].value;
return submitAllNew('edit_links.php?'+add_action,'width=550,height=350',frm);
}
function fUpdate(){
frm=document.getElementById("frm_search");
frm.action=frm.action+"&updateP=1";
alert(frm.action);
frm.submit();
}
</script><?
require_once(FOOTERF);
?>


