<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <foffice@is.zp.ua>
 * @author Mike Shapovalov <mikeshap@mail.ru>
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/tree.cls.php");
$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);

checkaccess(USERPERMS,$db);

if($updateP>0&&$check_field){
$sqlT="delete from form_permissions where level_id='$link_existing' ";
$sql->dbDelete($sqlT);

$arr_checked=explode(";",$check_field);
	foreach($arr_checked as $l_id){
		if($l_id>0){
			$sqlT="insert into  form_permissions values ('$l_id','$link_existing') ";
			$sql->dbInsert($sqlT);
		}
	}

} else {
$sqlT="select id_form from form_permissions where level_id='$link_existing' ";
$sql->dbQuery($sqlT);

while (list($id_form)=$sql->dbFetch()){
$check_field.=$id_form.";";
}
}
$buttons="&nbsp;<input name=\"add\" type=\"image\" class=\"command\"
src=\"../images/media/filenew.gif\" onclick=\"editObjts('edit_report.php?add_value=1','width=450,height=350,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\" >&nbsp;
";
require_once(HEADERF);

$sqlT="select * from dict_levels";
$sql->dbQuery($sqlT);
echo "<center><form name=\"frm_1\" id=\"frm_1\" action=\"list_users_reports.php\" method=\"post\">
  : <select name=\"link_existing\" class=tbox onchange=\"document.getElementById('frm_1').submit();\">
<option></option>";

while ($row=$sql->dbFetch()){
extract($row);
echo "<option value=\"$_id\" ".(($_id==$link_existing)?"selected":"").">$_name</option>";

}

echo "</select>";
echo "</form>
</center>
<table>";

echo "</table>";


if(isset($link_existing)){

 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by blanks.date_ desc";
	};
$sqlText=" SELECT blanks.id_form,  blanks.name,
blanks.date_,
blanks.comments
FROM blanks left outer join form_permissions on
 form_permissions.id_form=blanks.id_form and  form_permissions.level_id='$link_existing'  ".$ord;

//echo $sqlText;
$browser=new browser;
$browser->row_attr="   onMouseOver=\"overList(this)\"
	 onMouseOut=\"outList(this)\"   id=\"tr_list___id__\"  onclick=\"editLink('__id__');\" ";
$browser->field_attr=" class='list'  ";
$test=new selectQueryBrowserStat($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};
$browser=new browser;
$browser->row_attr="  onclick=\"editBlank('__id__');\" ";
$browser->field_attr=" class='list' ";
$test=new selectQueryBrowserStat($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array(
	"id_form"=>"",
	"_name"=>LAN_FIRM,
	"name"=>LAN_NAME,
	"date_"=>LAN_DATA,
	"comments"=>LAN_COMMENT
);
$test->setHeaders($headers);
$test->setPK("id_form");

//$test->setPriority("link_permission");

$test->setQuery($sqlText);
?>
<center>
<input type="button" name="update_perms" value="<?LAN_39?>" onclick="fUpdate();">
</center>
<?
}
?>

<script>
function openEdit(add_action){
frm=document.getElementById("frm_1");
frm.existing.value=frm.link_existing.options[frm.link_existing.selectedIndex].value;
return submitAllNew('edit_links.php?'+add_action,'width=550,height=350',frm);
}
function fUpdate(){
frm=document.getElementById("frm_search");
frm.action="list_users_reports.php?updateP=1";
frm.submit();
}
</script><?
require_once(FOOTERF);
?>


