<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
 
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");

require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");

require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");

$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
//checkaccess(USERPERMS,$db);
$buttons="&nbsp;&nbsp;&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;
<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/filenew.gif\" onclick=\"editBlank(0,'edit_blank.php');\" >&nbsp;
";

require_once(HEADERF);
$searchsubmit=1;
$browser=new browser;

$sql2= new dbfunc;
$sql3= new dbfunc;

//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);


//session_register("types_search_form");

$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"period"=>array("type"=>"datetime",
													"value"=>$period,
													"caption"=>LAN_11),
							"id_scheme"=>array("type"=>"select",
													"table_name"=>"scheme
LEFT OUTER JOIN blanks ON scheme.id_form = blanks.id_form
LEFT OUTER JOIN dict_organization ON dict_organization._id = blanks.id_org ",
													"id_name"=>"scheme.id_scheme",
													"description_name"=>"concat(dict_organization._name,' - ',blanks.name,' - ',scheme.name) as _name",
													"caption"=>LAN_86),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------

$fields_search_query=array("f_keywords"=>array("forms.name","forms.comments","form_values.name"));
$fields_search_types=array("f_keywords"=>1);
$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;

$arr_functions=array();

$period_1=date("Y-m-d",time()-$workPeriod);
$period_now=date("Y-m-d",time());

if($period!=""){
$searchText2=" forms.date_ between ".$ch->checkData1($from_,"",0)." and ".$ch->checkData1($to_,"",0)." ";
} else {
$searchText2="1=1";
}

if($id_scheme>0){
$sql2=new dbfunc;

$queryString1 = "select *  from  scheme where id_scheme=".$id_scheme." ";

$sql->dbQuery($queryString1);
if($row=$sql -> dbFetch()){
extract($row);

};



($not_sqltext!="")?$not_sqltext:$not_sqltext=" 1=1 ";
($group_sqltext!="")?$group_sqltext:$group_sqltext=" NULL ";
$s1=new Search();


if($sqltext){
$gr="";
$i=0;
$j=0;$k=0;
	$queryString2 = "SELECT  DISTINCT form_values.form, form_values.name, form_values.comments, form_values.x,
	form_values.y
	FROM  form_values left outer join forms on forms.id=form_values.form
	left outer join scheme on scheme.id_blank=forms.id_blank
	WHERE ( $sqltext ) and scheme.id_scheme='". $id_scheme."' order by form_values.name";
		$sql->dbQuery($queryString2);

			while(list($form_,$name_,$comments_,$x_,$y_)=$sql->dbFetch()){
			//	echo $form_."---2<br>";
//===============  ==========================
				if($gr!=$name_){
					$arr_r[$j][$k]=$name_;

					$gr=$name_;
						if($i!="0"){
								if (!$s1->CheckResult()) return;
								if ($s1->getSql()){$searchText_[$j]=$s1->getSql();} else {$searchText_[$j]=" 0=1 ";}

								$s1=new Search();

						}
					$s1->add($form_," form_values.form ","",2,"= ","OR");
				$j++;
				} else {
					$s1->add($form_," form_values.form ","",2,"= ","OR");
				}
$i=1;
		}
}



if (!$s1->CheckResult()) return;
if ($s1->getSql()){$searchText_[$j]=$s1->getSql();} else {$searchText_[$j]=" 0=1 ";}
$i=0;
$j=0;$k=1;


foreach($searchText_ as $search){
		$queryString3 = "select * from scheme_fields  where id_scheme=$id_scheme and type_select!='0' and type_select not like '%group_%' order by y,x ";
			$sql2->dbQuery($queryString3);
				while($row=$sql2->dbFetch()){
				extract($row);

				$arr_functions[$k]=$type_select;
					($vector=="x")?$a_vector="y":$a_vector="x";
					$queryString4 = "select  ".$type_select."(form_values.name) from form_values
					  where (".$vector.">=".${$vector}." and ".$a_vector."=".${$a_vector}.") and (".$search.") order by y,x ";
//							echo $queryString4."----<br>";
								$sql3->dbQuery($queryString4);
								while(list($name_1)=$sql3->dbFetch()){
									$arr_r[$j][$k]=$name_1;
								//	echo $j."--".$k."--".$name_1."-----<br>";
									$k++;
								}

				}
					$j++;
					$k=1;
		}

}

$res_f=array();

for ($n=0;$n<count($arr_r);$n++){
		for ($m=0;$m<count($arr_r[0]);$m++){
			if(!is_array($res_f[$m])){
				$res_f[$m]=array();
			}
			array_push($res_f[$m],$arr_r[$n][$m]);
		}
}


for($i=1;$i<count($res_f);$i++){
$res_[$i]=arrFNames($arr_functions[$i],$res_f[$i]);


}

$res_[0]=": ";
$arr_r[$j]=$res_;

$browser=new browser;
$browser->row_attr="   ";
$browser->field_attr=" class='list'  ";
$test=new selectQueryBrowser($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$headers=array();
if($id_scheme>0){
	$queryString3 = "select vector,x,y,scheme.id_blank from scheme_fields left outer join scheme on  scheme.id_scheme=scheme_fields.id_scheme where scheme_fields.id_scheme=$id_scheme and scheme_fields.type_select!='0' order by y,x ";

			$sql2->dbQuery($queryString3);
				while($row=$sql2->dbFetch()){
				extract($row);
				($vector=="x")?$a_vector="y":$a_vector="x";
						$queryString4 = "select name from form_fields  where id_blank=$id_blank
						 and ".$a_vector."='".${$a_vector}."' and ".$vector."='".(${$vector}-1)."' ";
						$sql->dbQuery($queryString4);
							list($name_)=$sql->dbFetch();
							array_push($headers,$name_);
				}
}
$test->typeSelect="print";
$test->setHeaders($headers);
echo "<br><br>";

$test->setArray($arr_r);

function arrFNames($name_f,$array_){
$res=0;
	switch ($name_f){
		case "sum":
			foreach($array_ as $n){
				$res+=$n;
			}
		break;
		case "avg":
			foreach($array_ as $n){
				$res+=$n;
			}
			(count($array_)>0)? $res=number_format($res/count($array_),1,".",""): $res=0;
		break;
		case "count":
			$res=count($array_);
		break;
		case "min":
			$res=min($array_);
		break;
		case "max":
			$res=max($array_);
		break;
		default:
		$res=0;
		break;
	}
return $res;
}
?>
<script>
function saveR(num){

frm=document.getElementById("frm_"+num);
alert(frm);
submitAllNew("save_r.php","width=550, height=350",frm);
}
function printR(num){

frm=document.getElementById("frm_"+num);
alert(frm);
submitAllNew("print_r.php","width=550, height=350",frm);
}
<?include("../include/functions.js");?>
</script>
</body>
</html>
