<?
/**
 * e-Zvit: Service Operative Information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * Information systems													<br>
 * Recordnaja 2, 87															<br>
 * 69006 Zaporozhie (Ukraine)										<br>
 * Tel.:   (+38) 0612 159277											<br>
 * Web:    {@link http://www.is.zp.ua}								<br>
 * E-mail: {@link mailto:office@is.zp.ua is@demo.zp.ua}
 *
 * The latest version of e-Zvit can be obtained from:
 * {@link http://e-Zvit.sourceforge.net}
 *
 * @link http://e-Zvit.sourceforge.net
 * @link http://www.is.zp.ua
 * @link mailto:mailto:office@is.zp.ua is@demo.zp.ua
 * @copyright Information Systems
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Olga Axyonenko <office@is.zp.ua>
 
 * @package e-Zvit
 */

	/**
	* user_worker
	 * @author Olga Axyonenko <office@is.zp.ua>
	 * @package e-Zvit
	 */

require_once("../include/auth_class.php");
require_once("../include/utill_class.php");

require_once("../include/html_select_query.cls.php");
require_once("../include/utils.fnc.php");
require_once("../include/select_query_browser.cls.php");
require_once("../include/search_form_browser.cls.php");
require_once("../include/search_query.cls.php");


$db=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
//checkaccess(USERPERMS,$db);

$buttons="&nbsp;&nbsp;&nbsp;<input name=\"search\" type=\"image\" class=\"command\"  src=\"../images/media/filefind.gif\" onclick=\"window.open('../templates/search.php?action=".$REQUEST_URI."','search_win','width=650,height=200,left=220,top=210,directories=no,toolbar=no,resizable=yes,scrollbars=yes,menubar=no');\">&nbsp;
<input name=\"add\" type=\"image\" class=\"command\"  src=\"../images/media/filenew.gif\" onclick=\"editItem(0,'edit_report.php');\" >&nbsp;
";

require_once(HEADERF);





$searchsubmit=1;
$browser=new browser;

//      
$browser->field_caption_attr=" align='right' valign='top'  ";
$browser->field_attr=" align='left' ";
//   
$test=new serachFormBrowser("",$browser);
//============ ORGANIZATIONS ==================
$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();


foreach ($arr as $r){
$s->add($r,"organization.id","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}


//=================== ORGANIZATIONS ======================

//session_register("types_search_form");

$types_search_form=array("f_keywords"=>array("type"=>"string",
													"value"=>$f_keywords,
													"caption"=>LAN_2002),
							"period"=>array("type"=>"datetime",
													"value"=>$period,
													"caption"=>"<select name=\"f_name\" >											
<option value=\" forms.date_\">".LAN_11."</option>
													<option value=\" forms.date_update\">".LAN_13."</option>
													</select>"),
							"f_types"=>array("type"=>"array",
													"value"=>$_f_types,
													"options"=>$action_s,
													"caption"=>LAN_ACTION),
							"blanks"=>array("type"=>"select",
													"table_name"=>"blanks",
													"id_name"=>"id_blank",
													"description_name"=>"name",
													"caption"=>LAN_72),
							"form_organization"=>array("type"=>"select",
														"table_name"=>"organization 	left outer join dict_city on
													organization.id_city=dict_city._id left join dict_region on
													organization.id_region=dict_region._id
													where  $searchText_org ",
													"id_name"=>"organization.id",
													"description_name"=>"organization.name,dict_region._name,dict_city._name ",
													"caption"=>LAN_FIRM),
							"form_user"=>array("type"=>"select",
													"table_name"=>"users where length(r_name)>0",
													"id_name"=>"user_id",
													"description_name"=>"concat(user_name,' ',r_name)",
													"caption"=>LAN_22),
							"f_usl"=>array("type"=>"usl",
													"value"=>$f_usl,
													"caption"=>LAN_2258)
																);

if(!$f_usl) $f_usl="AND";
$arr_id=explode(";",$check_fields);
$db2=new mysqlDatabase($mySQLserver, $mySQLuser, $mySQLpassword, $mySQLdefaultdb);
$s=new search();
//-------------------------------------------------------------------------------------------------------------------

$fields_search_query=array("f_keywords"=>"users_mail_stat.stat_result",
"f_types"=>"users_mail_stat.stat_action",
"blanks"=>"blanks.id_blank",
"form_organization"=>"users.user_organization",
"form_user"=>"users.user_id");
$fields_search_types=array("f_keywords"=>1,"f_types"=>1,"blanks"=>2,"form_organization"=>2,
"form_user"=>2);
$search_cl= new searchQuery($fields_search_query,$fields_search_types,$f_usl);
$searchText=$search_cl->getQuery();
$ch=new check;
$period_1=date("Y-m-d",time()-$workPeriod);
$period_now=date("Y-m-d",time());

(!$from_)?$from_=date("d/m/Y 00:00:00",0):true;
(!$to_)?$to_=date("d/m/Y H:i:s",time()):true;

$searchText1=" users_mail_stat.stat_date between ".$ch->checkData1($from_,"",0)." and ".$ch->checkData1($to_,"",0)." ";



if(!$start){$start=0;};
$s1=new Search();
$st=new tagSelect;



$t1=new autoSelect;

$arrFull=substr($t1->FindLastAll("organization_levels","organization_main", "organization_ancillary",USERORG,0),1);

$arr=explode("-",$arrFull);
$arr=array_unique($arr);
$s=new Search();


foreach ($arr as $r){
$s->add($r,"users.user_organization","",2," = ","OR");
}

if (!$s->CheckResult()) return;

if ($s->getSql()){$searchText_org=$s->getSql();} else {$searchText_org=" 1=1 ";}

 if(isset($sort_field)&&$sort_field!="")
 	{

		$ord= " order by ".$sort_field;
	}
	else
	{
	 	$ord= " order by users_mail_stat.stat_date desc";
	};

$sqlText="SELECT users.r_name,     blanks.name ,
concat(
case
when trim(users_mail_stat.stat_action)='INSERT' then '".$action_s["INSERT"]."'
when trim(users_mail_stat.stat_action)='ATTENTION' then '".$action_s["ATTENTION"]."'
when trim(users_mail_stat.stat_action)='DELETE MESSAGES' then '".$action_s["DELETE MESSAGES"]."'
when trim(users_mail_stat.stat_action)='NOT INSERT' then '".$action_s["NOT INSERT"]."'
when trim(users_mail_stat.stat_action)='REMAIND' then '".$action_s["REMAIND"]."'
end
,' ',case
when users_mail_stat.stat_result='TRUE' then '' else concat('(', users_mail_stat.stat_result ,')') end
) as action,
 users_mail_stat.stat_date
FROM users_mail_stat
left outer join  users on users.user_id=users_mail_stat.user_id
left outer join blanks on blanks.id_blank=users_mail_stat.id_blank
 where (".$searchText_org.") and  (".$searchText.") and  (".$searchText1.") ".$ord;

//echo $sqlText;
$browser=new browser;
$browser->row_attr=" ";
$browser->field_attr="   class='list' ";
$test=new selectQueryBrowser($browser);

if($start!=0){$test->start=$start;} else {$test->start=0;};

$test->setHeaderList(LAN_2144);
$headers=array("r_name"=>LAN_22,
	"name"=>LAN_NAME,
	"action"=>LAN_ACTION,
	"stat_date"=>LAN_DATA
);
$test->setHeaders($headers);
//$test->setPriority("pri");
$test->setPK("stat_date");

$test->setQuery($sqlText);

require_once(FOOTERF);
?>


